<?php
	/**
	 * readyChat 1.3.0 release
	 * by Persianscript
	 */
	 
	require_once("../core/config.php");
	
	// Logged in checker
	if (!$user["apanel"]): header('location: ../index.php'); die(); else:
	
	if ($settings["offline_mode"])
	{
		$offline_notice = "<div id=\"offline\">سایت در حالت تعمیر می باشد - <a href=\"?page=settings\">غیر فعال کردن</a></div>";
	}
	else
	{
		$offline_notice = "";
	}
	
	// Pages
	$home = ""; $rooms = ""; $users = ""; $games = ""; $settingsp = "";
	if (isset($_GET["page"]))
	{
		if ($_GET["page"] == "home")
		{
			$home = " class=\"active\"";
		}
		elseif ($_GET["page"] == "rooms")
		{
			$rooms = " class=\"active\"";
		}
		elseif ($_GET["page"] == "users")
		{
			$users = " class=\"active\"";
		}
		elseif ($_GET["page"] == "games")
		{
			$games = " class=\"active\"";
		}
		elseif ($_GET["page"] == "settings")
		{
			$settingsp = " class=\"active\"";
		}
	}
	else
	{
		$home = "class=\"active\"";
	}
?> 
<!doctype html>
<html>
    <head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	    <title>مدیریت چت روم - persianscript.ir</title>
		<link rel="stylesheet" type="text/css" href="template/style.css" />
	</head>
<body>
	<?php echo $offline_notice; ?>
	<div id="menu">
		<div class="wrap">
			<span style="float:right;">
				<a href="index.php?page=home"<?php echo $home; ?>>صفحه اصلی مدیریت</a>
				<a href="index.php?page=rooms"<?php echo $rooms; ?>>مدیریت اتاق های گفتگو</a>
				<a href="index.php?page=users"<?php echo $users; ?>>مدیریت کاربران</a>
				<a href="index.php?page=games"<?php echo $games; ?>>بازی های فلش</a>
				<a href="index.php?page=settings"<?php echo $settingsp; ?>>تنظیمات سایت</a>
			</span>
			<span style="float:left;">
				<a href="../index.php" target="_blank">بازگشت به سایت</a>
			</span>
		</div>
	</div>
	<div class="wrap">

		<?php 
			// Include admin panel pages
			if (isset($_GET["page"])):
				if ($_GET["page"] == "home"): include("pages/dashboard.php"); endif;
				if ($_GET["page"] == "rooms"): include("pages/rooms.php"); endif;
				if ($_GET["page"] == "settings"): include("pages/settings.php"); endif;
				if ($_GET["page"] == "users"): include("pages/users.php"); endif;
				if ($_GET["page"] == "games"): include("pages/games.php"); endif;
				
				/******
				* The following page should not be removed under any circumstances
				******/
				if ($_GET["page"] == "credits"): include("pages/credits.php"); endif;
				
			else:
				include("pages/dashboard.php");
			endif;
		?>		
		
	</div>
	<div class="wrap">
		<!--
			REMOVING THE FOLLOWING IS PROHIBITED.
			readyChat's copyright notice must remain intact on the administration side of the system.
			This software (readyChat) is property of DesignSkate.
		-->
		<div id="footer">
			<span style="float:left;">قدرت گرفته از چت اسکریپت نسخه <?php echo $ver_num; ?></span>
			<span style="float:right;"><a href="index.php?page=credits">کپی رایت</a></span>
		</div>
	</div>
</body>
</html>
<?php endif; ?>