<?php
	/**
	 * readyChat 1.3.0 release
	 * by Persianscript
	 */
	 
	// Logged in checker
	if (!$user["apanel"]): header('location: ../index.php'); die(); else:
	
	// Create stats
	$total_users = $mysqli->query("SELECT `user_id` FROM `users`");
	$users_online = $mysqli->query("SELECT user_id, active FROM `users` WHERE `active` = '1'");
	$guests_online = $mysqli->query("SELECT guest_id, active FROM `guests` WHERE `active` = '1'");
	$team_online = $mysqli->query("SELECT rank, active FROM `users` WHERE `rank` > 1 AND `active` = '1'");
	$team_total = $mysqli->query("SELECT rank, active FROM `users` WHERE `rank` > 1");
	$total_rooms = $mysqli->query("SELECT room_id FROM `rooms_permanent`");
	$admin = mysqli_fetch_array($mysqli->query("SELECT * FROM `admin`"));
	
	if (isset($_GET["action"]) && $_GET["action"] == "notes")
	{
		$notes = trim($mysqli->real_escape_string($_POST["notes"]));
		if ($notes != null)
		{
			$mysqli->query("UPDATE `admin` SET `notes` = '{$notes}'") or die($mysqli->error);
			header('location: index.php');
		}
	}
	
	if (isset($_GET["refresh"]) && $_GET["refresh"] == 1)
	{
		$mysqli->query("UPDATE `admin` SET `last_pull` = '0'");
		header('location: index.php?page=home');
	}
?>
	<div id="content">
		<div class="title">
			پنل مدیریت چت اسکریپت
		</div>
		<div class="right_menu">
			<div class="title2">نوشته مدیر</div>
			
			<div class="account_options">
				<div class="account_header"></div>
				<div class="account_text">
					<form action="index.php?action=notes" method="post">
						<textarea name="notes" style="height:100px; width:658px; resize:none;" maxlength="500"><?php echo $admin["notes"]; ?></textarea>
						<div class="clear" style="margin-top:10px;"></div>
						<input type="submit" value="ذخیره نوشته ">
					</form>
				</div>
			</div>			
			<div class="clear"></div>
			<div class="title2">
				اخبار چت اسکریپت
				<span style="float:left; font-size:11px; margin-top:5px;"><a href="?page=home&refresh=1">بارگزاری مجدد</a></span>
			</div>
			<div id="news">
			
			<?php
				/****
				* To prevent the constant loading of news from DesignSkate's server
				* which might slow down your site, this cache like system will check for
				* updated news every 2 days.
				****/
				
				if ($admin["last_pull"] > strtotime("-2 days") && $admin["last_pull"] != 0)
				{
					// load cached news
					include("news/news.html");
				}
				else
				{
					// 2 days past pull latest news
					$timeouts = stream_context_create(array(
						'http' => array(
							'timeout' => 2
						)
					));
					
					$news = @file_get_contents('http://www.persianscript.ir/chat.html', 0, $timeouts);
					
					// update news
					if (!empty($news))
					{
						$file = fopen("news/news.html", 'w+');
						fwrite($file, $news);
						fclose($file);
						
						$mysqli->query("UPDATE `admin` SET `last_pull` = '{$time}'");
						echo $news;
					}
					else
					{
						// failed to retrieve latest news document
						include("news/news.html");
					}
				}
				
				// Display last update
				if ($admin["last_pull"] == 0)
				{
					$last_pull = date("jS \of F Y h:i", $time);
				}
				else
				{
					$last_pull = date("jS \of F Y h:i", $admin["last_pull"]);
				}
				
				echo "<br /><br /><em><small>آخرین بروزرسانی " . $last_pull . "</small></em>";
			?>		
			
			</div>		
		</div>
		
		<div class="left_menu">
			<a href="index.php"><img src="template/icons/home_icon.png"> صفحه اصلی مدیریت</a>
			<a href="index.php?page=rooms"><img src="template/icons/manage_icon.png"> مدیریت اتاق های گفتگو</a>
			<a href="index.php?page=settings"><img src="template/icons/settings_icon.png"> تنظیمات سایت</a>
		</div>
		
		<div class="left_menu">
			<a href="#"><img src="template/icons/users_icon.png"> <strong><?php echo $total_users->num_rows; ?></strong> کاربر</a>
			<a href="#"><img src="template/icons/user_icon.png"> <strong><?php echo $team_total->num_rows; ?></strong> کاربر مسئول</a>
			<a href="#"><img src="template/icons/online_icon.png"> <strong><?php echo $users_online->num_rows; ?></strong> کاربر آنلاین</a>
			<a href="#"><img src="template/icons/online_icon.png"> <strong><?php echo $guests_online->num_rows; ?></strong> مهمان آنلاین</a>
			<a href="#"><img src="template/icons/chat_icon.png"> <strong><?php echo $total_rooms->num_rows; ?></strong> اتاق گفتگو</a>
		</div>
	</div>

<?php endif; ?>