function url(title, url, width, height) 
{
	var left = (screen.width/2)-(width/2);
	var top = (screen.height/2)-(height/1);
	
	newwindow=window.open(url, title, 'height='+height+', width='+width+', scrollbars=yes, top='+top+', left='+left);
	newwindow.focus();
	
	return false;
}

$(document).ready(function(){
	$("input#content").select().focus();
	
	// Feature for 1.3.0 (auto scroll toggle)
	$("#autoscroll").click(function(event)
	{
		if (autoscroll)
		{
			// Disable auto scrolling
			autoscroll = 0;
			this.src = 'template/icons/scroll_off.png';
			$("#autoscroll").attr('title', 'فعال سازی اسکرول اتوماتیک');
		}
		else
		{
			// Enable auto scrolling
			autoscroll = 1;
			this.src = 'template/icons/scroll.png';
			$("#autoscroll").attr('title', 'غیر فعال سازی اسکرول اتوماتیک');
		}
		
		event.preventDefault();
	});
	
	// Close a dialog
	$("#close").click(function (event) 
	{
		$('#dimmer').fadeOut('fast', function() {});
		$('#message_box').fadeOut('fast', function() {});
		$('#box_entry').fadeOut('fast', function() {});
		$('#top_error').fadeOut('fast', function() {});
		$("#content").focus();
		inputReady = false;
		event.preventDefault();
	});
	
	// Close smilies dialog
	$("#close_smilies").click(function (event) 
	{
		$('#dimmer').fadeOut('fast', function() {});
		$('#smiley_box').fadeOut('fast', function() {});
		$("#content").focus();
		event.preventDefault();
	});
	
	
	// Display smilies
	$("#smilies").click(function (event) 
	{
		$('#dimmer').fadeIn('fast', function() {});
		$('#smiley_box').fadeIn('fast', function() {});
		$('#content').blur();
	});
	
	// Close profiles dialog
	$("#close_profile").click(function (event) 
	{
		$('#dimmer').fadeOut('fast', function() {});
		$('#contentbox').fadeOut('fast', function() {});
		$("#content").focus();
		event.preventDefault();
	});
	
	// Display Profiles
	$(document).on('click', '.user', function (event)
	{	
		// Profile Setup
		embedded = $(this).attr("embedded");
		
		if (embedded == 1)
		{
			event.preventDefault();
			$('.progress-indicator').fadeIn('fast', function() {});
			
			view_profile = $(this).attr("profile_id");
			profile_title = $(this).attr("user_name");
			
			$.ajax({
				url: "core/load_profile.php?profile_id="+view_profile,
				cache: false,
				success: function(html)
				{
					if (html != 2)
					{
						$("#contentbox_html").html(html);
						$('.progress-indicator').fadeOut('fast', function() {});
						$('#content_title').html("پروفایل "+profile_title);
						$('#close_profile').text("بستن پروفایل");
						
						if (view_profile != my_id)
						{
							$('#private_chat').html("<a id=\"private\" href=\"#private\" onclick=\"url('چت خصوصی', 'private_chat.php?cid="+view_profile+"', '600', '460')\">چت خصوصی</a>");
						}
						
						$('#dimmer').fadeIn('fast', function() {});
						$('#contentbox').fadeIn('fast', function() {});
						$('#content').blur();
					}
					else
					{
						$('.progress-indicator').fadeOut('fast', function() {});
						$('#dimmer').fadeIn('fast', function() {});
						$('#message_box').fadeIn('fast', function() {});
						$('#message_title').html(lang.error_profile);
						$('#message_area').html(lang.error_profile_txt);
						$('#content').blur();					
					}
				},
			});
		}
	});
	
	// ESC key alternate to clicking "Continue/Close"
	$(document).keyup(function(key) 
	{
		if (key.keyCode == 27) { inputReady = false; $('#dimmer').fadeOut('fast', function() {}); $('#message_box').fadeOut('fast', function() {}); $('#contentbox').fadeOut('fast', function() {}); $('#box_entry').fadeOut('fast', function() {}); $('#smiley_box').fadeOut('fast', function() {}); $("#content").focus(); $('#top_error').fadeOut('fast', function() {}); }   // esc
	});
	
	// Room Connection Dialog
	$("#joinlog").click(function (event) 
	{
		$('#dimmer').fadeIn('fast', function() {});
		$('#message_box').fadeIn('fast', function() {});
		$('#message_title').html(lang.connection_logs);
		
		$.ajax({
			url: "core/load_room.php?logview=1",
			cache: false,
			success: function(html)
			{
				$("#message_area").html(html);
			},
		});
		
		$('#content').blur();
	});
	
	// Play Flash Games
	$("#games").click(function (event) 
	{
		$('#dimmer').fadeIn('fast', function() {});
		$('#message_box').fadeIn('fast', function() {});
		$('#message_title').html(lang.flash_games);
		
		$.ajax({
			url: "flash_games.php",
			cache: false,
			success: function(html)
			{
				$("#message_area").html(html);
			},
		});
		
		$('#content').blur();
	});
	
	// Display a random message
	function showRoom()
	{
		// define your random messages below
		var rms = ["آیا می دانستید؟ عضویت در این چت روم رایگان است! <a href='register.php' target='_blank'>عضو شوید</a>"
				  ];
		
		// no further modification required
		$('#rm').hide();
		$('#rm').html(rms[Math.floor(Math.random() * rms.length)]);
		$('#rm').fadeIn('fast', function() {});
	};
	
	// Display random message
	showRoom();
	
	// Load & Refresh User List
	$('#user_list').load("core/listings.php?list=active");
	function activeUsers(){ $('#user_list').load("core/listings.php?list=active"); };

	// Load & Refresh private messages
	if (pms)
	{
		$('#pvt_head').load("core/listings.php?list=pms");
		function newpvts(){ $('#pvt_head').load("core/listings.php?list=pms"); };
		
		$("#pvt_head").click(function (event) 
		{
			$('#dimmer').fadeIn('fast', function() {});
			$('#message_box').fadeIn('fast', function() {});
			$('#message_title').html("پیغام خصوصی های جدید");

			$.ajax({
				url: "core/listings.php?list=newpms",
				cache: false,
				success: function(html)
				{
					$("#message_area").html(html);
				},
			});
			
			$('#content').blur();
		});		
	}
	
	// Load the room topic
	$('#topic_text').load("core/listings.php?list=topic&rid="+room);
	function roomTopic(){ $('#topic_text').load("core/listings.php?list=topic&rid="+room); }
	
	// Room Switching Function
	$(document).on('click', '.room', function ()
	{	
		// Room ID
		gotoroom = $(this).attr("room_link");
		
		// Cannot re-join current room
		if (gotoroom == room)
		{
			// Reject the swap and display an error message
			$('#dimmer').fadeIn('fast', function() {});
			$('#message_box').fadeIn('fast', function() {});
			$('#message_title').html(lang.error_room);
			$('#message_area').html(lang.error_room_txt);
			$('#content').blur();
			
			return false;
		}
		else if (kicked == 1)
		{
			// Reject the swap and display an error message
			$('#dimmer').fadeIn('fast', function() {});
			$('#message_box').fadeIn('fast', function() {});
			$('#message_title').html(lang.error_room);
			$('#message_area').html(lang.error_gen);
			$('#content').blur();
			
			return false;
		}
		else
		{
			roomKey = $('#rpw').val();
			
			if (inputReady)
			{
				if (roomKey == "")
				{
					$('#top_error').html("لطفا یک رمز عبور وارد کنید!");
					$('#top_error').fadeIn('fast', function() {});				
				}
				else
				{
					$('#top_error').html("<img src=\"template/images/loading_small.gif\">");
					$('#top_error').fadeIn('fast', function() {});
				}
			}
			else
			{
				$('.progress-indicator').fadeIn('fast', function() {});
			}
			
			// Action Accepted
			$.ajax({
				type: 'POST',
				url: 'core/swaproom.php',
				data: "nid="+gotoroom+"&key="+roomKey,
				success:function(response)
				{
					// The room is full
					if (response == 3)
					{
						// Reject the swap and display an error message
						$('#dimmer').fadeIn('fast', function() {});
						$('#message_box').fadeIn('fast', function() {});
						$('#message_title').html(lang.alert);
						$('#message_area').html(lang.error_room_3);
						$('#content').blur();
						
						$('.progress-indicator').fadeOut('fast', function() {});
					}
					// Unspecified Error
					else if (response == 2)
					{
						// Reject the swap and display an error message
						$('#dimmer').fadeIn('fast', function() {});
						$('#message_box').fadeIn('fast', function() {});
						$('#message_title').html(lang.alert);
						$('#message_area').html(lang.error_room_2);
						$('#content').blur();
						
						$('.progress-indicator').fadeOut('fast', function() {});
					}
					// Room requires a password
					else if (response == 4 || response == 5)
					{
						inputReady = true;
						
						if (response == 5)
						{
							$('#top_error').fadeIn('fast', function() {});
							$('#top_error').html("رمز عبور نامعتبر است!");
						}
						
						// Request a password to join room
						$('#dimmer').fadeIn('fast', function() {});
						$('#message_box').fadeIn('fast', function() {});
						$('#message_title').html(lang.password);
						$('#message_area').html(lang.password_txt);
						$("#rtj").attr('room_link', gotoroom);
						$('#box_entry').fadeIn('fast', function() {});
						$('#close').html("Cancel");
						$("#rpw").focus();
						$('#content').blur();
						
						$('.progress-indicator').fadeOut('fast', function() {});
					}
					else
					{
						// Swap Accepted - User will now be placed into new room
						room = gotoroom;
						inputReady = false;
						document.getElementById("messages").innerHTML = "";
						
						// Reload required functions
						activeUsers();
						roomTopic();
						poll_for_new_messages();

						$('.progress-indicator').fadeOut('fast', function() {});
						$('#dimmer').fadeOut('fast', function() {});
						$('#message_box').fadeOut('fast', function() {});
						$('#top_error').fadeOut('fast', function() {});
						$('#box_entry').fadeOut('fast', function() {});
						$('#rpw').val('');
						$("#content").focus();
						showRooms();
					}
				}
			});		
		}
	});
	
	$('form').submit(function(){
		if (kicked == 1) 
		{
			// User has been kicked, messages will not process
			$('#dimmer').fadeIn('fast', function() {});
			$('#message_box').fadeIn('fast', function() {});
			$('#message_title').html(lang.alert);
			$('#message_area').html(lang.notconnected);
			$('#content').blur();	
			return false;
		}
		else
		{
			// Send a message
			var form = $(this);
			var name =  form.find("input[name='name']").val();
			var content =  form.find("input[name='content']").val();
			var token =  form.find("input[name='admin_token']").val();
			var token_c = form.find("input[name='token']").val();
			
			// Check for command requests
			if (content == "/prune" || content.indexOf("/kick") >= 0 || content.indexOf("/ban") >= 0 || content.indexOf("/warn") >= 0 || content.indexOf("/announce") >= 0)
			{
				$.ajax({
					type: 'POST',
					url: 'core/cmd.php',
					data: "cmd="+content+"&token="+token,
					success:function(response)
					{
						$('#dimmer').fadeIn('fast', function() {});
						$('#message_box').fadeIn('fast', function() {});
						$('#content').blur();
						
						if (response == 20)
						{
							$('#message_title').html(lang.action_1);
							$('#message_area').html(lang.room_pruned);	
							$('#content').blur();		
							form.find("input[name='content']").val('');								
							document.getElementById("messages").innerHTML = "";
							$('<small class="join" />').text(lang.pruned_public).appendTo('ul#messages');
							$('ul#messages').scrollTop( $('ul#messages').get(0).scrollHeight );
						}
						if (response == 21)
						{
							$('#message_title').html(lang.action_1);
							$('#message_area').html(lang.kicked_atxt);		
							form.find("input[name='content']").val('');		
							$('#content').blur();			
							activeUsers();
						}
						if (response == 22)
						{
							$('#message_title').html(lang.action_1);
							$('#message_area').html(lang.banned_atxt);		
							form.find("input[name='content']").val('');		
							$('#content').blur();					
							activeUsers();
						}
						if (response == 23)
						{
							$('#message_title').html(lang.action_1);
							$('#message_area').html(lang.warned_atxt);		
							form.find("input[name='content']").val('');		
							$('#content').blur();						
						}
						if (response == 24)
						{
							$('#message_title').html(lang.action_1);
							$('#message_area').html(lang.announce_sent);		
							form.find("input[name='content']").val('');	
							$('#content').blur();	
						}
						else if (response == 2)
						{
							$('#message_title').html(lang.action_2);
							$('#message_area').html(lang.action_3);				
						}
						else if (response == 4)
						{
							$('#message_title').html(lang.action_4);
							$('#message_area').html(lang.action_5);	
						}
					}
				});
				
				return false;
			}
			else
			{
				// Chat request
				if (content != '')
				{
					$("#content").blur();
					$('<li class="pending" />').text(content).prepend($('<small />').text(name)).appendTo('ul#messages');
					$('ul#messages').scrollTop( $('ul#messages').get(0).scrollHeight );
				}
				
				form.find("input[name='content']").val('').focus();
				$.ajax({
					type: 'POST',
					url: 'core/chat.php',
					data: {content: content, room: room, token: token_c},
					success:function(response)
					{
						if (response == 1)
						{
							if (content == '')
							{
								return false;
							}
							
							if (autopoll)
							{
								poll_for_new_messages();
							}
						}
						else if (response == 2)
						{
							$('#dimmer').fadeIn('fast', function() {});
							$('#message_box').fadeIn('fast', function() {});
							$('#message_title').html(lang.alert);
							$('#message_area').html(lang.error_blank);
							$('#content').blur();
						}
						else if (response == 3)
						{
							$('#dimmer').fadeIn('fast', function() {});
							$('#message_box').fadeIn('fast', function() {});
							$('#message_title').html(lang.alert);
							$('#message_area').html(lang.spam);
							$('#content').blur();
						}
					}
				});
				
				$("#content").focus();
				return false;
			}
		}
	});
	
	poll_for_new_messages = function()
	{
		var oldscrollHeight = $("#messages").attr("scrollHeight") - 20;
		
		$.ajax({
			url: "core/notify.php",
			cache: false,
			success: function(response)
			{
				data = response.split ( "(nxt)" );
				
				if (data[0] == 5)
				{
					$('#dimmer').fadeIn('fast', function() {});
					$('#message_box').fadeIn('fast', function() {});
					$('#message_title').html(lang.warning);
					$('#message_area').html(data[1]);
					$('#content').blur();						
				}
				else if (response == 1)
				{
					$('#dimmer').fadeIn('fast', function() {});
					$('#message_box').fadeIn('fast', function() {});
					$('#message_title').html(lang.kicked);
					$('#message_area').html(lang.kicked_txt);
					$('#content').blur();	
					
					$('#topic').fadeOut('fast', function() {});
					$('#topic_text').fadeOut('fast', function() {});
					$('#alert').fadeIn('fast', function() {});
					$('#alert_text').html(lang.kicked_ntxt);
					
					room = 0;
					gotoroom = -1;
					kicked = 1;

					clearInterval(poll);
					clearInterval(user);
					clearInterval(rm);
					clearInterval(userList);
					clearInterval(pvts);
					return false;
				}
				else if (response == 2)
				{
					$('#dimmer').fadeIn('fast', function() {});
					$('#message_box').fadeIn('fast', function() {});
					$('#message_title').html(lang.banned);
					$('#message_area').html(lang.banned_txt);
					$('#content').blur();	
					
					$('#topic').fadeOut('fast', function() {});
					$('#topic_text').fadeOut('fast', function() {});
					$('#alert').fadeIn('fast', function() {});
					$('#alert_text').html(lang.banned_ntxt);

					room = 0;
					gotoroom = -1;
					kicked = 1;

					clearInterval(poll);
					clearInterval(user);
					clearInterval(rm);
					clearInterval(userList);
					clearInterval(pvts);
					return false;
				}
				else if (response == 3)
				{
					$('#dimmer').fadeIn('fast', function() {});
					$('#message_box').fadeIn('fast', function() {});
					$('#message_title').html(lang.inactive);
					$('#close').fadeOut('fast', function() {});
					$('#message_area').html(lang.inactive_txt);
					$('#content').blur();	
					
					$('#user_list').html(lang.inactive_userlist);
					
					kicked = 1;

					clearInterval(poll);
					clearInterval(user);
					clearInterval(rm);
					clearInterval(userList);
					clearInterval(pvts);
					return false;
				}
				else if (response == 4)
				{
					$('#dimmer').fadeIn('fast', function() {});
					$('#message_box').fadeIn('fast', function() {});
					$('#message_title').html(lang.alert);
					$('#close').fadeOut('fast', function() {});
					$('#message_area').html(lang.reset);
					$('#content').blur();	
					
					$('#user_list').html(lang.inactive_userlist);
					
					room = 0;
					gotoroom = -1;
					kicked = 1;

					clearInterval(poll);
					clearInterval(user);
					clearInterval(rm);
					clearInterval(userList);
					clearInterval(pvts);
					return false;
				}
			}
		});
		
		$.ajax({
			url: "core/load_room.php",
			cache: false,
			success: function(html)
			{
				$("#messages").html(html);
				
				if (autoscroll)
				{
					$("#messages").animate({scrollTop:$("#messages")[0].scrollHeight}, 1000); 
				}
			},
		});
	};
	
	showRooms = function()
	{
		$.ajax({
			url: "core/room_list.php",
			cache: false,
			success: function(html)
			{
				$("#rooms_list").html(html);
			},
		});
	}
	
	showRooms();
	poll_for_new_messages();
	
	// variables to poll data
	var poll = setInterval(poll_for_new_messages, 3000);
	var user = setInterval(activeUsers, 8000);
	var userList = setInterval(showRooms, 12000);
	var rm = setInterval(showRoom, 60000);
	var pvts = setInterval(newpvts, 10000);
});