<?php
	/**
	 * readyChat 1.3.0 release
	 * by Persianscript
	 */
	 
	require_once("config.php");
	error_reporting(0);
	
	if (!isset($_SESSION["user"])){ echo 4; exit(); }

	if ($_POST["token"] == md5($_SESSION["admin_key"]))
	{
		if ($user["rank"] >= 2)
		{
			// query room
			$query_room = $mysqli->query("SELECT room_id, room_json, room_password FROM `rooms_permanent` WHERE `room_id` = '{$user["user_room"]}'");
			if ($query_room->num_rows > 0)
			{
				$room = $query_room->fetch_array(MYSQLI_BOTH);
				if ($_POST["cmd"] == "/prune")
				{
					//
					// Prune current room
					if (file_exists("../chat/rooms_permanent/{$room["room_json"]}"))
					{
						echo 20;
						$filename = "../chat/rooms_permanent/{$room["room_json"]}";
						$file = fopen($filename, 'w+');
						
						// Send notice to room.
						$string = "<li><small class='join'>The room was cleared by an administrator.</small></li>\n";
						$current = strip_tags($string, "<li><small>");
						fwrite($file, $current);
						fclose($file);
					}
					else
					{
						echo 2;
					}
				}
				elseif (strstr($_POST["cmd"], "/announce"))
				{
					if ($user["rank"] == 3)
					{
						// Find message to announce
						$announce = $mysqli->real_escape_string(str_replace('/announce ', '', $_POST["cmd"]));
						$announce = explode(' ', $announce, 1);
						
						// Select content
						$message = $announce[0];
						
						if ($message != null)
						{
							//
							// Send announcement to room
							if (file_exists("../chat/rooms_permanent/{$room["room_json"]}"))
							{
								$file = "../chat/rooms_permanent/{$room["room_json"]}";
								
								// Open the file to get existing content
								$current = file_get_contents($file);
								
								// Content
								$content = strip_tags(stripslashes($message));
								
								// Append a new person to the file
								$string = "<li class=\"announcement\">$content</li>\n";
								$current .= strip_tags($string, "<li><small>");
								
								// Write the contents back to the file
								file_put_contents($file, $current);
								
								echo 24;
							}
							else
							{
								echo 2;
							}
						}
						else
						{
							echo 2;
						}
					}
					else
					{
						echo 4;
					}
				}
				elseif (strstr($_POST["cmd"], "/warn"))
				{
					// Find user to warn
					$warn = $mysqli->real_escape_string(str_replace('/warn ', '', $_POST["cmd"]));
					$warn = explode(' ', $warn, 2);
					
					// Select content
					$username = $warn[0];
					$message = $warn[1];
					
					if ($warn != null && $message != null)
					{
						// Select user from the database
						$select_user = $mysqli->query("SELECT user_name, rank, active FROM `users` WHERE `user_name` = '{$username}'");
						if ($select_user->num_rows > 0)
						{
							$array = $select_user->fetch_array(MYSQLI_BOTH);
							
							if ($array["rank"] >= $user["rank"] || $array["active"] == 0)
							{
								echo 2;
							}
							else
							{
								// Update the user's information to "warned"
								$mysqli->query("UPDATE `users` SET `warned` = '1', `warning_text` = '{$message}' WHERE `user_name` = '{$username}'");
								
								echo 23;
							}
						}

						$select_guest = $mysqli->query("SELECT guest_name, active FROM `guests` WHERE `guest_name` = '{$username}'");
						if ($select_guest->num_rows > 0)
						{
							$array = $select_guest->fetch_array(MYSQLI_BOTH);
							if ($array["active"] == 0)
							{
								echo 2;
							}
							else
							{
								// Update the user's information to "warned"
								$mysqli->query("UPDATE `guests` SET `warned` = '1', `warning_text` = '{$message}' WHERE `guest_name` = '{$username}'");
								
								echo 23;
							}
						}
						
						if ($select_user->num_rows < 1 && $select_guest->num_rows < 1)
						{
							// Results were empty
							echo 2;
						}
					}
				}
				elseif (strstr($_POST["cmd"], "/kick"))
				{
					//
					// Prune current room
					if (file_exists("../chat/rooms_permanent/{$room["room_json"]}"))
					{	
						// Find user to kick
						$kick = $mysqli->real_escape_string(str_replace('/kick ', '', $_POST["cmd"]));
						$kick = explode(' ', $kick, 2);
						
						// Select content
						$username = $kick[0];
						$message = $kick[1];
						
						if ($kick != null)
						{
							// Select user from the database
							$select_user = $mysqli->query("SELECT user_name, rank, active FROM `users` WHERE `user_name` = '{$username}'");
							if ($select_user->num_rows > 0)
							{
								$array = $select_user->fetch_array(MYSQLI_BOTH);
								if ($array["rank"] >= $user["rank"] || $array["active"] == 0)
								{
									echo 2;
								}
								else
								{
									// Update the user's information to "kicked"
									$mysqli->query("UPDATE `users` SET `kicked` = '1', `active` = '0' WHERE `user_name` = '{$username}'");
									
									echo 21;
								}
							}
							
							$select_guest = $mysqli->query("SELECT guest_name, active FROM `guests` WHERE `guest_name` = '{$username}'");
							if ($select_guest->num_rows > 0)
							{
								$array = $select_guest->fetch_array(MYSQLI_BOTH);
								if ($array["active"] == 0)
								{
									echo 2;
								}
								else
								{
									// Update the user's information to "kicked"
									$mysqli->query("UPDATE `guests` SET `kicked` = '1', `active` = '0' WHERE `guest_name` = '{$username}'");
									
									echo 21;
								}
							}
							
							if ($select_user->num_rows < 1 && $select_guest->num_rows < 1)
							{
								// Results were empty
								echo 2;
							}
						}
					}
					else
					{
						echo 2;
					}
				}
				elseif (strstr($_POST["cmd"], "/ban"))
				{
					//
					// Prune current room
					if (file_exists("../chat/rooms_permanent/{$room["room_json"]}"))
					{	
						// Find user to ban
						$ban = $mysqli->real_escape_string(str_replace('/ban ', '', $_POST["cmd"]));
						$ban = explode(' ', $ban, 2);
						
						// Select content
						$username = $ban[0];
						$message = $ban[1];
						
						if ($ban != null)
						{
							// Select user from the database
							$select_user = $mysqli->query("SELECT user_name, rank, active FROM `users` WHERE `user_name` = '{$username}'");
							if ($select_user->num_rows > 0)
							{
								$array = $select_user->fetch_array(MYSQLI_BOTH);
								if ($array["rank"] >= $user["rank"] || $array["active"] == 0)
								{
									echo 4;
								}
								else
								{
									// Update the user's information to "banned"
									$mysqli->query("UPDATE `users` SET `banned` = '1', `active` = '0' WHERE `user_name` = '{$username}'");
									
									echo 22;
								}
							}
							
							$select_guest = $mysqli->query("SELECT guest_name, active, guest_ip FROM `guests` WHERE `guest_name` = '{$username}'");
							if ($select_guest->num_rows > 0)
							{
								$array = $select_guest->fetch_array(MYSQLI_BOTH);
								if ($array["active"] == 0)
								{
									echo 4;
								}
								else
								{
									// Update the user's information to "banned"
									$mysqli->query("UPDATE `guests` SET `banned` = '1', `active` = '0' WHERE `guest_name` = '{$username}'");
									
									// We'll also blacklist the guest's IP address to prevent them from returning with a new nick
									$mysqli->query("INSERT INTO `blacklist` (blacklist_ip) VALUES ('{$array["guest_ip"]}')");
									
									echo 22;
								}
							}
							
							if ($select_user->num_rows < 1 && $select_guest->num_rows < 1)
							{
								// Results were empty
								echo 2;
							}
						}
					}
					else
					{
						echo 2;
					}
				}
				else
				{
					echo 2;
				}
			}
		}
		else
		{
			echo 4;
		}
	}
	else
	{
		echo 4;
	}
	
?>