$(document).ready(function(){
	$("input#content").select().focus();
	$('#loader').hide();
	
	// ESC key alternate to clicking "Continue/Close"
	$(document).keyup(function(key) 
	{
		if (key.keyCode == 27) { inputReady = false; $('#dimmer').fadeOut('fast', function() {}); $('#message_box').fadeOut('fast', function() {}); $('#contentbox').fadeOut('fast', function() {}); $('#box_entry').fadeOut('fast', function() {}); $('#smiley_box').fadeOut('fast', function() {}); $("#content").focus(); $('#top_error').fadeOut('fast', function() {}); }   // esc
	});
	
	// Close a dialog
	$("#close").click(function (event) 
	{
		$('#dimmer').fadeOut('fast', function() {});
		$('#message_box').fadeOut('fast', function() {});
		$('#box_entry').fadeOut('fast', function() {});
		$('#top_error').fadeOut('fast', function() {});
		$("#content").focus();
		inputReady = false;
		event.preventDefault();
	});
	
	$('form').submit(function(){
		// Send a message
		var form = $(this);
		var name =  form.find("input[name='name']").val();
		var content =  form.find("input[name='content']").val();
		var token_c = form.find("input[name='token']").val();
	
		// Chat request
		if (content != '')
		{
			$("#content").blur();
			$('<li class="pending" />').text(content).prepend($('<small />').text("(Pending) "+name)).appendTo('ul#messages');
			$('ul#messages').scrollTop( $('ul#messages').get(0).scrollHeight );
		}
		
		form.find("input[name='content']").val('').focus();
		$.ajax({
			type: 'POST',
			url: 'core/private_chat.php',
			data: {content: content, token: token_c, cid: cid},
			success:function(response)
			{	
				poll_for_new_messages();
				if (response == 1)
				{
					if (content == '')
					{
						return false;
					}
				}
				else if (response == 2)
				{
					$('#dimmer').fadeIn('fast', function() {});
					$('#message_box').fadeIn('fast', function() {});
					$('#message_title').html(lang.alert);
					$('#message_area').html(lang.error_blank);
					$('#content').blur();
				}
				else if (response == 3)
				{
					$('#dimmer').fadeIn('fast', function() {});
					$('#message_box').fadeIn('fast', function() {});
					$('#message_title').html(lang.alert);
					$('#message_area').html(lang.spam);
					$('#content').blur();
				}
			}
		});
		
		$("#content").focus();
		return false;
	});
	
	poll_for_new_messages = function()
	{
		$('#loader').fadeIn('fast', function() {});
		$.ajax({
			url: "core/private_main.php?cid="+cid,
			cache: false,
			success: function(html)
			{
				if (html == 1)
				{
					$("#messages").html("No messages have been exchanged with this user.");
					$('#loader').fadeOut('fast', function() {});
				}
				else
				{
					$("#messages").html(html);
					$('#loader').fadeOut('fast', function() {});
					$('ul#messages').scrollTop( $('ul#messages').get(0).scrollHeight );
				}
			},
		});	
	}
	
	poll_for_new_messages();
	var poll = setInterval(poll_for_new_messages, 5000);
});