<?php
	require_once("core/config.php");
	
	if (file_exists("install/install.txt")){ die("<a href='./install/'>نصب چت اسکریپت</a>"); }
	
	//
	// Logged in checker
	if ($uSession == null && $gSession == null): header('location: login.php'); else:
	
	//
	// Set to active (in-case of refresh)
	if ($gSession)
	{
		$mysqli->query("UPDATE `guests` SET `active` = '1' WHERE `guest_name` = '{$guest["guest_name"]}'");
	}
	else
	{
		$mysqli->query("UPDATE `users` SET `active` = '1', `last_active` = '{$time}' WHERE `user_name` = '{$user["user_name"]}'");
	}
	
	//
	// Query room
	if (!$gSession)
	{
		$query_uroom = $mysqli->query("SELECT * FROM `rooms_permanent` WHERE `room_id` = '{$mysqli->real_escape_string($user["user_room"])}'");
		if ($query_uroom->num_rows < 1)
		{
			$mysqli->query("UPDATE `users` SET `user_room` = '1' WHERE `user_id` = '{$user["user_id"]}'");
			$croom = "1";
		}
		else
		{
			$room = $query_uroom->fetch_array(MYSQLI_BOTH);
			
			// check status
			$count_users = $mysqli->query("SELECT user_room, active FROM `users` WHERE `user_room` = '{$room["room_limit"]}'");
			if ($count_users->num_rows < $room["room_limit"] || $settings["full_exempt"] == 1 && $user["rank"] >= 2)
			{
				$croom = $user["user_room"];
			}
			else
			{
				$mysqli->query("UPDATE `users` SET `user_room` = '1' WHERE `user_id` = '{$user["user_id"]}'");
				$croom = "1";		
			}
		}
	}
	else
	{
		$croom = $guest["guest_room"];
	}
	
	//
	// Tokens for user validation
	if (!isset($_SESSION["post_key"]))
	{
		$_SESSION["post_key"] = sha1(rand(323, 4000));
	}
	
	if (!$gSession)
	{
		if (!isset($_SESSION["admin_key"]) && $user["rank"] > 1)
		{
			$_SESSION["admin_key"] = sha1(rand(323, 4000));
		}
	}

	if (isset($_SESSION["post_key"]))
	{
		$post_key = md5($_SESSION["post_key"]);
	}
	else
	{
		$post_key = "invalid";
	}

?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="fa">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php echo $settings["site_title"]; ?></title>
	<script src="library/jquery-1.4.2.min.js"></script>
	<script type="text/javascript" src="core/smiley.js"></script>
	<script type="text/javascript" src="core/language.js"></script>
	<script type="text/javascript">
	var goto = "empty";
	var autopoll = <?php echo $settings["auto_poll"]; ?>;
	var room = <?php echo $croom; ?>;
	var autoscroll = 1;
	var kicked = 0;
	var roomKey = 0;
	var inputReady = 0;
	<?php if (!$gSession): ?>var my_id = <?php echo $user["user_id"]; ?>;<?php else: ?>var my_id = <?php echo $guest["guest_id"]; ?>;<?php endif; ?>
	var pms = <?php echo $settings["private_messages"]; ?>;
	</script>
	<link rel="stylesheet" type="text/css" href="template/arcade.css" />
	<link rel="stylesheet" type="text/css" href="template/style.css" />
	<link rel="stylesheet" type="text/css" href="template/style2.css" />
	<style>
		input:disabled {
			background:#f8f8f8;
		}
	</style>
</head>
<body>
	<div id="quicknotice" style="display:none;">
		
	</div>
	<div class="progress-indicator">
	   <img src="template/images/loading.gif" title="" alt="">
	</div>
	<div id="dimmer"></div>
	<div id="message_container">
		<div id="message_box">
			<div id="message_header">
				<div id="message_title">هشدار!</div>
				<div id="top_error"></div>
				<a id="close" href="">ادامه</a>
			</div>
			<div id="message_area">در حال بارگزاری...</div>
			<div id="box_entry">
				<input id="rpw" type="text" name="pwinput" placeholder="رمز اتاق را وارد کنید">
				<div class="room" id="rtj" room_link="none">ورود به اتاق</div>
			</div>
		</div>
	</div>
	<div id="contentbox_container">
		<div id="contentbox">
			<div id="contentbox_header">
				<div id="content_title">عنوان پیشفرض</div>
				<a id="close_profile" href="">ادامه</a>
				<?php if ($settings["private_messages"]): ?><div id="private_chat"></div><?php endif; ?>
			</div>
			<div id="contentbox_html">
			
			</div>
		</div>
	</div>
	<div id="smiley_container">
		<div id="smiley_box">
			<div id="message_header">
				<div id="message_title">افزودن یک شکلک</div>
				<a id="close_smilies" href="">ادامه</a>
			</div>
			<div id="smiley_area">
				<?php listSmilies(); ?>
			</div>
		</div>
	</div>
	<div id="container">
		<div id="logo">
			<img src="template/images/logo.png">
			
			<?php if (!$gSession && $settings["private_messages"]): ?>
			<div id="pvt_head"></div>
			<?php else: ?>
			<div id="current_room">
				<div id="rm"></div>
			</div>
			<?php endif; ?>
		</div>
		
		<div id="chat_area">
			<div id="topic">
				<div id="topic_text"><img src="template/images/loading_small_2.gif"></div>
			</div>
			<div id="alert">
				<div id="alert_text"></div>
			</div>
			
			<ul id="messages">
				<li><img src="template/images/loading_small.gif"></li>
			</ul>
		</div>
		
		<div id="user_list">
			<img src="template/images/loading_small_2.gif">
		</div>
		
		<div id="rooms_list">
			<img src="template/images/loading_small_2.gif">
		</div>
		
		<div id="icons">
			<img id="smilies" style="cursor:pointer;" src="template/smilies/smile.png" title="ارسال یک شکلک">
			<img id="autoscroll" style="cursor:pointer;" src="template/icons/scroll.png" title="غیر فعال سازی اسکرول خودکار">
			<?php if ($settings["games"]): ?><img id="games" style="cursor:pointer;" src="template/icons/games.png" title="بازی فلش"><?php endif; ?>
			<img id="joinlog" style="cursor:pointer;" src="template/icons/connect.png" title="تاریخچه ورود به اتاق های گفتگو">
			<?php if (!$gSession): ?>
			<a href="profile.php?uid=<?php echo $user["user_id"]; ?>&edit=2" target="_blank" style="text-decoration:none;">
				<img id="settings" style="cursor:pointer;" src="template/icons/settings.png" title="تنظیمات حساب کاربری">
			</a>
			<?php endif; ?>
			<a href="logout.php"><img id="quit" style="cursor:pointer; border:0px;" src="template/icons/quit.png" title="Logout"></a>
		</div>

		<div id="input_area">
			<form id="chatform" name="chatform" action="" method="post">
				<?php if (!$settings["guest_chat"] && $gSession): $gc = "placeholder=\"برای چت کردن می بایست عضو شوید\" DISABLED"; else: $gc = ""; endif; ?>
				<input type="text" name="content" id="content" maxlength="<?php echo $settings["max_message"]; ?>" autocomplete="off" <?php echo $gc; ?> />
				<label>
				
					<?php if (!$gSession && $user["rank"] > 1): ?> 
					<input type="hidden" name="admin_token" value="<?php echo md5($_SESSION["admin_key"]); ?>" />
					<?php endif; ?> 
					
					<input type="hidden" name="token" value="<?php echo $post_key; ?>" />
					<?php if (!$gSession): ?><input type="hidden" name="name" id="name" value="<?php echo $user["user_name"]; ?>" /><?php endif; ?>
					<?php if ($gSession): ?><input type="hidden" name="name" id="name" value="(مهمان) <?php echo $guest["guest_name"]; ?>" /><?php endif; ?>
				</label>
				<button type="submit">ارسال</button>
			</form>
		</div>
	</div>
	
	<div id="footer">
		قدرت گرفته از <a href="http://www.persianscript.ir/" target="_blank">پرشین اسکریپت</a>
		<?php if (!$gSession && $user["apanel"]): echo "<div style=\"height:5px;\"></div><a href=\"./admin/\" target=\"_blank\">پنل مدیریت</a>"; endif; ?>
	</div>
</body>
<script type="text/javascript" src="core/chat.js"></script>
</html>

<?php endif; ?>