<?php if (!file_exists("install.txt")){ die("Installer locked."); } ?>
<!doctype html>
<html>
    <head>
	    <meta charset="utf-8">
	    <title>نصب چت اسکریپت</title>
		<link rel="stylesheet" type="text/css" href="css/installer.css" />
	</head>
	<body>
		<div id="wrap">
			<div id="logo"><img src="images/logo.png"></div>
			<div id="container">
				<div id="menu">
					<a href="#"><img src="icons/tick.png" alt="Y" title="تکمیل شده"> خوش آمدید</a>
					<a href="#"><img src="icons/tick.png" alt="Y" title="تکمیل شده"> بررسی دسترسی ها</a>
					<a href="#"><img src="icons/tick.png" alt="Y" title="تکمیل شده"> تنظیمات اصلی</a>
					<a href="#" class="current"><img src="icons/cross.png" alt="N" title="تکمیل نشده"> نصب جداول</a>
					<a href="#"><img src="icons/cross.png" alt="N" title="تکمیل نشده"> ایجاد حساب کاربری شما</a>
					<a href="#"><img src="icons/cross.png" alt="N" title="تکمیل نشده"> پایان نصب!</a>
				</div>
				<div id="content">
					<div class="title">Step 4 - نصب جداول</div>
					
					<?php
						include("../core/database.php");
						$mysqli = @new mysqli($DB_HOST, $DB_USER, $DB_PASS, $DB_NAME);
						
						// install admin table
						$mysqli->query("CREATE TABLE IF NOT EXISTS `admin` (
						  `notes` varchar(1000) NOT NULL,
						  `last_pull` int(20) NOT NULL DEFAULT '0'
						) ENGINE=InnoDB DEFAULT CHARSET=latin1");
						
						// default data
						$mysqli->query("INSERT INTO `admin` (`notes`, `last_pull`) VALUES
						('You can share notes with administrators here.', 0)");		

						// install blacklist
						$mysqli->query("CREATE TABLE IF NOT EXISTS `blacklist` (
						  `blacklist_id` int(4) NOT NULL AUTO_INCREMENT,
						  `blacklist_ip` varchar(30) NOT NULL,
						  PRIMARY KEY (`blacklist_id`)
						) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");
						
						// install rooms
						$mysqli->query("CREATE TABLE IF NOT EXISTS `rooms_permanent` (
						  `room_id` int(3) NOT NULL AUTO_INCREMENT,
						  `room_title` varchar(40) NOT NULL,
						  `room_desc` varchar(500) NOT NULL,
						  `room_limit` int(3) NOT NULL DEFAULT '25',
						  `room_icon` varchar(100) NOT NULL,
						  `room_json` varchar(100) NOT NULL,
						  `room_password` varchar(30) NOT NULL DEFAULT '0',
						  `guest_access` int(1) NOT NULL DEFAULT '1',
						  PRIMARY KEY (`room_id`)
						) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2");
						
						// default data
						$mysqli->query("INSERT INTO `rooms_permanent` (`room_id`, `room_title`, `room_desc`, `room_limit`, `room_icon`, `room_json`, `room_password`) VALUES
						(1, 'اصلی', 'به چت روم پرشین اسکریپت خوش آمدید', 50, '', 'lobby.html', '')");
						
						// set-up the room file
						$file = fopen("../chat/rooms_permanent/lobby.html", 'w+');
						$log = fopen("../chat/rooms_permanent/logs/lobby.html", 'w+');
						
						// Send notice to room.
						$string = "<li><small class='join'>اتاق گفتگو ایجاد شد</small></li>\n";
						$current = strip_tags($string, "<li><small>");
						fwrite($file, $current);
						fclose($file);
						
						// create settings
						$mysqli->query("CREATE TABLE IF NOT EXISTS `settings` (
						  `site_title` varchar(100) NOT NULL,
						  `can_login` int(1) NOT NULL DEFAULT '1',
						  `can_register` int(1) NOT NULL DEFAULT '1',
						  `idle_kick` int(6) NOT NULL DEFAULT '3',
						  `spam` int(6) NOT NULL DEFAULT '1',
						  `spam_exempt` int(1) NOT NULL DEFAULT '1',
						  `kick_exempt` int(1) NOT NULL DEFAULT '0',
						  `full_exempt` int(1) NOT NULL DEFAULT '1',
						  `allow_links` int(1) NOT NULL DEFAULT '1',
						  `login_news` varchar(2000) NOT NULL DEFAULT 'خوش آمدید to our chat room.',
						  `banned_text` varchar(2000) NOT NULL,
						  `offline_mode` int(1) NOT NULL DEFAULT '0',
						  `offline_message` varchar(300) NOT NULL DEFAULT 'Chat is temporarily unavailable due to maintenance.',
						  `allow_profiles` int(1) NOT NULL DEFAULT '1',
						  `max_message` int(4) NOT NULL DEFAULT '300',
						  `auto_poll` int(1) NOT NULL DEFAULT '0',
						  `embedded_profiles` int(1) NOT NULL DEFAULT '1',
						  `avatar_size` int(4) NOT NULL DEFAULT '0',
						  `allow_uploads` int(1) NOT NULL DEFAULT '0',
						  `games` int(1) NOT NULL DEFAULT '0',
						  `allow_guests` int(1) NOT NULL DEFAULT '1',
						  `guest_chat` int(1) NOT NULL DEFAULT '1',
						  `guest_arcade` int(1) NOT NULL DEFAULT '1',
						  `private_messages` int(1) NOT NULL DEFAULT '1'
						) ENGINE=InnoDB DEFAULT CHARSET=latin1");
						
						// default data
						$mysqli->query("INSERT INTO `settings` (`site_title`, `can_login`, `can_register`, `idle_kick`, `spam`, `spam_exempt`, `kick_exempt`, `full_exempt`, `allow_links`, `login_news`, `banned_text`, `offline_mode`, `offline_message`, `allow_profiles`, `max_message`, `auto_poll`) VALUES
						('پرشین اسکریپت', 1, 1, 10, 1, 0, 0, 1, 1, 'اتاق گفتگوی جدید آماده شد\r\n', 'You are banned from this website due to violating our rules or because the moderator felt your actions were unacceptable. Your account may be reinstated at the discretion of the website administrator.', 0, 'Chat is temporarily unavailable due to maintenance.', 1, 300, 0)");
					
						// create users
						$mysqli->query("CREATE TABLE IF NOT EXISTS `users` (
						  `user_id` int(4) NOT NULL AUTO_INCREMENT,
						  `warned` int(1) NOT NULL DEFAULT '0',
						  `user_name` varchar(35) NOT NULL,
						  `user_password` varchar(300) NOT NULL,
						  `user_email` varchar(100) NOT NULL,
						  `user_joined` int(20) NOT NULL,
						  `user_room` varchar(100) NOT NULL,
						  `last_active` int(20) NOT NULL DEFAULT '0',
						  `last_msg` int(20) NOT NULL DEFAULT '0',
						  `active` int(1) NOT NULL DEFAULT '0',
						  `rank` int(1) NOT NULL DEFAULT '1',
						  `apanel` int(1) NOT NULL DEFAULT '0',
						  `kicked` int(1) NOT NULL DEFAULT '0',
						  `banned` int(1) NOT NULL DEFAULT '0',
						  `reset` int(1) NOT NULL DEFAULT '0',
						  `user_ip` varchar(30) NOT NULL,
						  `warning_text` varchar(300) NOT NULL DEFAULT 'Never Warned',
						  `profile_age` int(3) NOT NULL DEFAULT '0',
						  `profile_sex` int(1) NOT NULL DEFAULT '0',
						  `profile_bio` varchar(300) NOT NULL DEFAULT '0',
						  `profile_avatar` varchar(100) NOT NULL DEFAULT 'no_avatar.jpg',
						  PRIMARY KEY (`user_id`)
						) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");
						
						// create guests
						$mysqli->query("CREATE TABLE IF NOT EXISTS `guests` (
						  `guest_id` int(4) NOT NULL AUTO_INCREMENT,
						  `guest_name` varchar(35) NOT NULL,
						  `guest_room` varchar(100) NOT NULL,
						  `last_msg` int(20) NOT NULL DEFAULT '0',
						  `last_active` int(20) NOT NULL DEFAULT '0',
						  `active` int(1) NOT NULL DEFAULT '1',
						  `guest_ip` varchar(30) NOT NULL,
						  `kicked` int(1) NOT NULL DEFAULT '0',
						  `banned` int(1) NOT NULL DEFAULT '0',
						  `warned` int(1) NOT NULL DEFAULT '0',
						  `warning_text` varchar(500) NOT NULL DEFAULT 'Never Warned',
						  PRIMARY KEY (`guest_id`)
						) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");
						
						// create private chats
						$mysqli->query("CREATE TABLE IF NOT EXISTS `private_chats` (
						  `im_id` int(11) NOT NULL AUTO_INCREMENT,
						  `im_to` int(4) NOT NULL,
						  `im_from` int(4) NOT NULL,
						  `im_time` int(11) NOT NULL,
						  `im_msg` varchar(800) NOT NULL,
						  `im_status` int(1) NOT NULL DEFAULT '1',
						  PRIMARY KEY (`im_id`)
						) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");
						
						// flash games
						$mysqli->query("CREATE TABLE IF NOT EXISTS `flash_games` (
						  `game_id` int(4) NOT NULL AUTO_INCREMENT,
						  `game_title` varchar(35) NOT NULL,
						  `game_swf` varchar(300) NOT NULL,
						  `game_icon` varchar(300) NOT NULL,
						  `width` int(3) NOT NULL,
						  `height` int(3) NOT NULL,
						  `plays` int(4) NOT NULL DEFAULT '0',
						  PRIMARY KEY (`game_id`)
						) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");
					?>
					
					جداول با موفقیت ایجاد شدند
					
					<br /><br />
					<div id="next">
						<a href="index_6.php">ایجاد حساب کاربری شما</a>
					</div>

				</div>
			</div>
			<div id="footer">
				<div style="float:left;">
					سیستم نصب کننده چت اسکریپت نسخه 1.0
				</div>
				<div style="float:right;">
					<a href="http://persianscript.ir/" target="_blank" style="color:#808080;">پشنیبانی نصب</a>
				</div>
			</div>
		</div>
	</body>
</html>