<?php
	if (file_exists("install/install.txt")){ die("<a href='./install/'>نصب چت اسکریپت</a>"); }
	if (file_exists("upgrade/upgrade.txt")){ die("<a href='./upgrade/'>بروزرسانی چت اسکریپت</a>"); }
	
	require_once("core/config.php");
	
	// blacklist checker
	$my_ip = $mysqli->real_escape_string($_SERVER['REMOTE_ADDR']);;
	$query_blacklist = $mysqli->query("SELECT * FROM `blacklist` WHERE `blacklist_ip` = '{$my_ip}'");
	if ($query_blacklist->num_rows > 0)
	{
		header('location: banned.php');
		exit();
	}
	
	//
	// Count online users
	$query_active = $mysqli->query("SELECT user_id, active, last_active FROM `users` WHERE `active` = '1'");
	$query_guests = $mysqli->query("SELECT guest_id, active, last_active FROM `guests` WHERE `active` = '1'");
	
	if ($query_active->num_rows > 0)
	{
		$currently_online = 0;
		while($list = $query_active->fetch_assoc())
		{
			$max_time = $list["last_active"] + $settings["idle_kick"] * 100;
		
			// Remove inactive users
			if (time() > $max_time)
			{
				$mysqli->query("UPDATE `users` SET `active` = '0' WHERE `user_id` = '{$list["user_id"]}'");
			}
			else
			{
				$currently_online++;
			}
		}
	}
	else
	{
		$currently_online = 0;
	}
	
	// remove guests
	$mysqli->query("DELETE FROM `guests` WHERE `active` = '0'");
	
	if ($query_guests->num_rows > 0)
	{
		$g_currently_online = 0;
		while($glist = $query_guests->fetch_assoc())
		{
			$max_time = $glist["last_active"] + $settings["idle_kick"] * 100;
		
			// Remove inactive users
			if (time() > $max_time)
			{
				$mysqli->query("DELETE FROM `guests` WHERE `guest_id` = '{$glist["guest_id"]}'");
			}
			else
			{
				$g_currently_online++;
			}
		}
	}
	else
	{
		$g_currently_online = 0;
	}
	
	$total_online = $currently_online + $g_currently_online;
	
	if (isset($total_online) && $total_online == 1)
	{
		$show_online = "در حال حاضر 1 کاربر در چت روم حضور دارد";
	}
	elseif (isset($total_online) && $total_online > 1)
	{
		$show_online = "در حال حاضر {$total_online} کاربر در چت روم حضور دارند";
	}
	else
	{
		$show_online = "هیچ کاربر آنلاینی در چت روم وجود ندارد!";
	}
	
	//
	// Logged in checker
	if ($uSession != null): header('location: index.php'); else:
	
	//
	// Request login

	if (isset($_GET["action"]) && $_GET["action"] == "login"):
	
		$guestMode = $mysqli->real_escape_string(trim($_POST["guest"]));
		$username = $mysqli->real_escape_string(trim($_POST["username"]));
		
		if (!$guestMode)
		{
			$password = $mysqli->real_escape_string(trim($_POST["password"]));
		}
		else
		{
			$password = "guest";
		}
		
		if (!isset($password) && $guestMode != 1 || $username == null)
		{
			header('location: login.php?e=1');
		}
		else
		{
			if ($guestMode && !$settings["offline_mode"])
			{	
				$query_guests = $mysqli->query("SELECT * FROM `guests` WHERE `guest_name` = '{$username}'");
				if ($query_guests->num_rows > 0)
				{
					header('location: login.php?e=6');
				}
				else
				{
					// ensure username consists of letters and numbers only
					if (preg_match("/^[a-zA-Z0-9ابپتثجچحیخدذرزسشطظعغفقکگلمنوهیئضص]+$/", $username))
					{
						// login as guest
						$_SESSION["guest"] = $username;
						$_SESSION["room_guard"] = 1;
						$mysqli->query("INSERT INTO `guests` (guest_name, guest_room, last_active, guest_ip) VALUES ('{$username}', '1', '{$time}', '{$my_ip}')") or die($mysqli->error);
						header('location: index.php');
					}
					else
					{
						header('location: login.php?e=7');
					}
				}
			}
			else
			{
				$query_users = $mysqli->query("SELECT * FROM `users` WHERE `user_name` = '{$username}'");
				if ($query_users->num_rows < 1)
				{
					header('location: login.php?e=2');
				}
				else
				{
					$array = $query_users->fetch_array(MYSQLI_BOTH);
					if ($array["user_password"] != sha1(str_rot13($password . $keys["enc_1"])))
					{
						header('location: login.php?e=3');
					}	
					else
					{
						if ($settings["offline_mode"] && $array["rank"] < 2 || $settings["offline_mode"] && !$array["apanel"])
						{
							header('location: login.php?e=5');
						}
						else
						{
							if ($array["banned"] == 1)
							{
								header('location: login.php?e=4');
							}
							else
							{
								$_SESSION["user"] = $username;
								$_SESSION["room_guard"] = 1;
								$mysqli->query("UPDATE `users` SET `kicked` = '0', `active` = '1', `last_active` = '{$time}', `user_room` = '1' WHERE `user_name` = '{$username}'") or die($mysqli->error);
								header('location: index.php');
							}
						}
					}
				}
			}
		}
	else:
	
	if ($settings["offline_mode"])
	{
		$offline_notice = "<div id=\"offline\">{$settings["offline_message"]}</div>";
	}
	else
	{
		$offline_notice = "";
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php echo $settings["site_title"]; ?></title>
	<link rel="stylesheet" type="text/css" href="template/login.css" />
	<script type="text/javascript">
		var guestLoginEnabled = false;
		
		function guestLogin()
		{
			if (guestLoginEnabled)
			{
				 document.getElementById('guestMode').disabled = false;
				 guestLoginEnabled = false;
			}
			else
			{
				document.getElementById('guestMode').disabled = true;
				guestLoginEnabled = true;
			}
		}
	</script>
</head>
<body>
	<?php
		echo $offline_notice; 
		if (isset($_GET["e"]))
		{
			if ($_GET["e"] == 1)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">فیلد های الزامی را تکمیل کنید</span>";
			}
			elseif ($_GET["e"] == 2)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">نام کاربری وجود ندارد!</span>";
			}
			elseif ($_GET["e"] == 3)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">رمز عبور وارد شده نامعتبر است!</span>";
			}
			elseif ($_GET["e"] == 4)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">شما از چت روم اخراج شده اید.</span>";
			}
			elseif ($_GET["e"] == 5)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">چت روم در حالت تعمیر می باشد. بعدا مراجعه کنید</span>";
			}
			elseif ($_GET["e"] == 6)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">لطفا یک نام دیگر انتخاب کنید.</span>";
			}
			elseif ($_GET["e"] == 7)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">Usernames may have letters and numbers.</span>";
			}
			else
			{
				$error = "";
			}
		}
		else
		{
			$error = "";
		}
	?>	
	<div id="container">
		<div id="content">
			<div id="logo">
				<img src="template/images/logo.png">
			</div>
			<div id="welcome">
				به <?php echo $settings["site_title"]; ?> خوش آمدید. برای استفاده از چت روم می توانید وارد شوید. اگر میخواهید از تمامی امکانات استفاده کنید می توانید در سایت <a href="register.php">عضو شوید</a>.
			</div>
			<div id="login">
				<div class="title">ورود <?php echo $error; ?></div>
				<form action="login.php?action=login" method="post">
					نام کاربری<br />
					<input type="text" name="username">
					<br /><br />
					رمز عبور<br />
					<input type="password" name="password" id="guestMode" >
					<br /><br />
					<?php if ($settings["allow_guests"]): ?>
					<input id="guestCheck" onclick="guestLogin();" type="checkbox" name="guest" value="1" style="float:right; min-width:1px; margin-top:2px; margin-left:5px;"> ورود به عنوان مهمان
					<br /><br />
					<?php endif; ?>
					<input type="submit" class="button" value="وارد شوید">
				</form>
			</div>
			<div id="news">
				<div class="title">پیام مدیر</div>
				<div class="box">
					<?php echo $settings["login_news"]; ?>
				</div>
				<br />
				<div class="title">کاربران آنلاین</div>
				<div class="box">
					<?php echo $show_online; ?>
				</div>
			</div>
		</div>
		
		<div id="footer">
			قدرت گرفته از <a href="http://www.persianscript.ir" target="_blank">پرشین اسکریپت</a>
		</div>
	</div>
</body>
</html>
<?php endif; endif; ?>