<?php
	require_once("core/config.php");
	
	if (file_exists("install/install.txt")){ die("<a href='./install/'>Install readyChat</a>"); }
	
	//
	// Logged in checker
	if ($uSession == null && $gSession == null): header('location: login.php'); else:
	
	if ($gSession)
	{
		?>
		
		<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
		<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
		<head>
			<meta http-equiv="content-type" content="text/html; charset=utf-8" />
			<title><?php echo $settings["site_title"]; ?></title>
			<link rel="stylesheet" type="text/css" href="template/style.css" />
		</head>
		<body>
			<div id="container" style="width:500px;">
				<div id="logo">
					<img src="template/images/logo.png">
				</div>
				
				<div id="chat_area" style="width:480px;">
					<ul id="messages" style="height:140px; border:1px solid #eaeaea; width:480px;">
						Please create an account to chat privately.
					</ul>
				</div>
			</div>
			<!--
				Retaining the following footer link is not required. However, you may not change it to claim the software
				was created by you. readyChat is property of DesignSkate - this software may not be redistributed in part or in whole
			-->
			<div id="footer" style="width:400px;">
				قدرت گرفته از <a href="http://www.persianscript.ir" target="_blank">پرشین اسکریپت</a>
			</div>
		</body>
		</html>
		
		<?php
		exit();
	}
	
	if (!$settings["private_messages"]){ die("Private messaging has been disabled by the site administrator."); }
	if ($_GET["cid"] == $user["user_id"]){ die("You cannot initiate a private chat session with yourself."); }
	
	if (isset($_SESSION["post_key"]))
	{
		$post_key = md5($_SESSION["post_key"]);
	}
	else
	{
		$post_key = "invalid";
	}
?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php echo $settings["site_title"]; ?></title>
	<script src="library/jquery-1.4.2.min.js"></script>
	<script type="text/javascript" src="core/language.js"></script>
	<link rel="stylesheet" type="text/css" href="template/style.css" />
	<link rel="stylesheet" type="text/css" href="template/style2.css" />
	<script type="text/javascript">
		var cid = <?php echo $_GET["cid"]; ?>;
	</script>
</head>
<body>
	<div id="quicknotice" style="display:none;">
		
	</div>
	<div class="progress-indicator">
	   <img src="template/images/loading.gif" title="" alt="">
	</div>
	<div id="dimmer"></div>
	<div id="message_container">
		<div id="message_box">
			<div id="message_header">
				<div id="message_title">Alert!</div>
				<div id="top_error"></div>
				<a id="close" href="">Continue</a>
			</div>
			<div id="message_area">This is a message box</div>
			<div id="box_entry">
				<input id="rpw" type="text" name="pwinput" placeholder="Enter Room Password">
				<div class="room" id="rtj" room_link="none">Enter Room</div>
			</div>
		</div>
	</div>
	<div id="container" style="width:500px;">
		<div id="logo">
			<img src="template/images/logo.png">
			<div id="loader" style="float:right; padding:10px;">
				<img src="template/images/loading_small_2.gif">
			</div>
		</div>
		
		<div id="chat_area" style="width:480px;">
			<ul id="messages" style="height:140px; border:1px solid #eaeaea; width:480px;">
				<li><img src="template/images/loading_small_2.gif" style="float:left; margin-right:5px;"> Loading session...</li>
			</ul>
		</div>

		<div id="input_area" style="width:480px;">
			<form id="chatform" name="chatform" action="" method="post">
				<input type="text" name="content" id="content" maxlength="<?php echo $settings["max_message"]; ?>"  style="width:350px;" autocomplete="off" />
				<label>
					<input type="hidden" name="name" id="name" value="<?php echo $user["user_name"]; ?>" />
					<input type="hidden" name="token" value="<?php echo $post_key; ?>" />
				</label>
				<button type="submit">Send</button>
			</form>
		</div>
	</div>
	<!--
		Retaining the following footer link is not required. However, you may not change it to claim the software
		was created by you. readyChat is property of DesignSkate - this software may not be redistributed in part or in whole
	-->
	<div id="footer" style="width:400px;">
		قدرت گرفته از <a href="http://www.persianscript.ir" target="_blank">پرشین اسکریپت</a>
	</div>
</body>
<script type="text/javascript" src="core/private.js"></script>
</html>

<?php endif; ?>