<?php
	/**
	 * readyChat 1.3.0 release
	 * by Persianscript
	 */
	 
	// Logged in checker
	if (!$user["apanel"]): header('location: ../index.php'); die(); else:
	
	if (isset($_GET["success"]))
	{
		$success = "<div class=\"success_head\">تنظیمات اتاق گفتگو انجام شد.</div>";
	}
	elseif (isset($_GET["create"]))
	{
		$success = "<div class=\"success_head\">اتاق گفتگو ایجاد شد.</div>";
	}
	elseif (isset($_GET["delete"]) && !isset($_GET["sub"]))
	{
		$success = "<div class=\"success_head\">اتاق گفتگو حذف شد.</div>";
	}
	else
	{
		$success = "";
	}
	
	if (isset($_GET["update"]))
	{
		if ($_POST["title"] == null || $_POST["desc"] == null || $_POST["limit"] == null)
		{
			$error = "<div class=\"error_head\">یک فیلد الزامی خالی است.</div>"; 
		}
		elseif (!is_numeric($_POST["limit"]))
		{
			$error = "<div class=\"error_head\">محدودیت اتاق گفتگو باید به صورت عدد باشد.</div>"; 
		}
		else
		{
			$error = "";
		}
	}
	else
	{
		$error = "";
	}
	
	echo $error;
	echo $success;
?>
	<div id="content">
		<div class="title">
			مدیریت اتاق های گفتگو
		</div>
		<div class="right_menu">
		
			<?php
				if (isset($_GET["sub"]) && $_GET["sub"] == "edit")
				{
					if (isset($_GET["edit"]) && is_numeric($_GET["edit"]))
					{
						$room_id = trim($mysqli->real_escape_string($_GET["edit"]));
						$query_room = $mysqli->query("SELECT * FROM `rooms_permanent` WHERE `room_id` = '{$room_id}'");
						if ($query_room->num_rows > 0)
						{
							$room = $query_room->fetch_array(MYSQLI_BOTH);
							
							if (isset($_GET["update"]) && $_GET["update"] == 1)
							{
								if (isset($_POST["token"]) && $_POST["token"] == md5($_SESSION["rooms_token"]))
								{
									$title = trim($mysqli->real_escape_string($_POST["title"]));
									$topic = trim($mysqli->real_escape_string($_POST["desc"]));
									$limit = trim($mysqli->real_escape_string($_POST["limit"]));
									$icon = trim($mysqli->real_escape_string($_POST["icon"]));
									$password = trim($mysqli->real_escape_string($_POST["password"]));
									$gaccess = trim($mysqli->real_escape_string($_POST["gaccess"]));
									
									if ($title == null || $topic == null || $limit == null || !is_numeric($limit))
									{
										echo "<div class=\"title2\">ویرایش اتاق گفتگو: {$room["room_title"]}</div>";
										echo "
										<div class=\"editor\">
											<form action=\"index.php?page=rooms&sub=edit&edit={$room_id}&update=1\" method=\"post\">
												<strong>عنوان اتاق چت</strong><br />
												<span style=\"font-size:12px;\">عنوان کوتاه در لیست اتاق نمایش داده می شود.</span>
												<div class=\"clear\" style=\"margin-top:5px;\"></div>
												<input type=\"text\" maxlength=\"40\" name=\"title\" value=\"{$title}\">
												<div class=\"clear\"></div>
												
												<strong>موضوع اتاق چت</strong><br />
												<span style=\"font-size:12px;\">موضوع در بالای اتاق نمایش داده می شود.</span>
												<div class=\"clear\" style=\"margin-top:5px;\"></div>
												<input type=\"text\" maxlength=\"500\" name=\"desc\" value=\"{$topic}\">
												<div class=\"clear\"></div>
												
												<strong>محدودیست اتاق</strong><br />
												<span style=\"font-size:12px;\">حداکثر تعداد کاربری که می توانند در یک لحظه در این روم حضور داشته باشند.</span>
												<div class=\"clear\" style=\"margin-top:5px;\"></div>
												<input type=\"text\" maxlength=\"3\" name=\"limit\" value=\"{$limit}\">
												<div class=\"clear\"></div>
												
												<strong>آیکون اتاق چت</strong><br />
												<span style=\"font-size:12px;\">آیکون کوچک (ایده آل 12x12) در کنار نام اتاق نشسته (مورد نیاز نمی باشد)</span>
												<div class=\"clear\" style=\"margin-top:5px;\"></div>
												<input type=\"text\" maxlength=\"100\" name=\"icon\" value=\"{$icon}\">
												<div class=\"clear\"></div>
												
												<strong>رمز عبور اتاق چت</strong><br/>
												<span style=\"font-size:12px;\">رمز عبور را وارد کنید ویا این فیلد را خالی رها کنید .</span>
												<div class=\"clear\" style=\"margin-top:5px;\"></div>
												<input type=\"text\" maxlength=\"30\" name=\"password\" value=\"{$password}\" placeholder=\"بدون رمز\">
												<div class=\"clear\"></div>
												
												<strong>دسترسی کاربران مهمان</strong><br />
												<span style=\"font-size:12px;\">آیا میخواهید به کاربران مهمان اجازه دهید وارد این اتاق شوند ؟</span>
												<div class=\"clear\" style=\"margin-top:5px;\"></div>
												<select name=\"gaccess\">";
												
												if ($gaccess)
												{
													echo "
														<option value=\"1\">فعال سازی دسترسی مهمان ها.</option>
														<option value=\"0\">عدم اجازه به مهمان ها.</option>
													";
												}
												else
												{
													echo "
														<option value=\"0\">عدم اجازه به مهمان ها.</option>
														<option value=\"1\">فعال سازی دسترسی مهمان ها.</option>
													";					
												}
												
												echo "
												</select>										
												<div class=\"clear\"></div>
												
												<input type=\"submit\" style=\"min-width:100px; border-radius:5px;\" value=\"ذخیره تغییرات اتاق گفتگو\">
											</form>
										</div>";								
									}
									else
									{
										// save room
										$mysqli->query("UPDATE `rooms_permanent` SET `room_title` = '{$title}', `room_desc` = '{$topic}', `room_limit` = '{$limit}', `room_limit` = '{$limit}', `room_icon` = '{$icon}', `room_password` = '{$password}', `guest_access` = '{$gaccess}' WHERE `room_id` = '{$room_id}'");
										
										// back to room settings
										header('location: index.php?page=rooms&sub=edit&edit=' . $room_id . '&success=1');
									}
								}
								else
								{
									echo "
									<div class=\"box\">
										<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
										Invalid submission token receieved, please try again.
									</div>";										
								}
							}
							else 
							{
								// update token
								if (!isset($_SESSION["rooms_token"]))
								{
									$_SESSION["rooms_token"] = sha1(rand(128, 5000));
								}
								
								echo "<div class=\"title2\">ویرایش اتاق گفتگو: {$room["room_title"]}</div>";
								echo "
								<div class=\"editor\">
									<form action=\"index.php?page=rooms&sub=edit&edit={$room_id}&update=1\" method=\"post\">
										<strong>عنوان اتاق</strong><br />
										<span style=\"font-size:12px;\">عنوان کوتاه در لیست اتاق نمایش داده می شود.</span>
										<div class=\"clear\" style=\"margin-top:5px;\"></div>
										<input type=\"text\" maxlength=\"40\" name=\"title\" value=\"{$room["room_title"]}\">
										<div class=\"clear\"></div>
										
										<strong>موضوع اتاق</strong><br />
										<span style=\"font-size:12px;\">موضوع در بالای اتاق نمایش داده می شود.</span>
										<div class=\"clear\" style=\"margin-top:5px;\"></div>
										<input type=\"text\" maxlength=\"500\" name=\"desc\" value=\"{$room["room_desc"]}\">
										<div class=\"clear\"></div>
										
										<strong>محدودیت اتاق گفتگو</strong><br />
										<span style=\"font-size:12px;\">حداکثر تعداد کاربری که می توانند در یک لحظه در این روم حضور داشته باشند.</span>
										<div class=\"clear\" style=\"margin-top:5px;\"></div>
										<input type=\"text\" maxlength=\"3\" name=\"limit\" value=\"{$room["room_limit"]}\">
										<div class=\"clear\"></div>
										
										<strong>آیکون اتاق گفتگو</strong><br />
										<span style=\"font-size:12px;\">آیکون کوچک (ایده آل 12x12) در کنار نام اتاق نشسته (مورد نیاز نمی باشد)</span>
										<div class=\"clear\" style=\"margin-top:5px;\"></div>
										<input type=\"text\" maxlength=\"100\" name=\"icon\" value=\"{$room["room_icon"]}\">
										<div class=\"clear\"></div>
										
										<strong>رمز عبور اتاق گفتگو</strong><br />
										<span style=\"font-size:12px;\">رمز عبور را وارد کنید ویا این فیلد را خالی رها کنید .</span>
										<div class=\"clear\" style=\"margin-top:5px;\"></div>
										<input type=\"text\" maxlength=\"30\" name=\"password\" value=\"{$room["room_password"]}\" placeholder=\"بدون رمز\">
										<div class=\"clear\"></div>
										
										<strong>دسترسی مهمان ها</strong><br />
										<span style=\"font-size:12px;\">آیا میخواهید به کاربران مهمان اجازه دهید وارد این اتاق شوند ؟</span>
										<div class=\"clear\" style=\"margin-top:5px;\"></div>
										<select name=\"gaccess\">";
										
										if ($room["guest_access"])
										{
											echo "
												<option value=\"1\">فعال سازی دسترسی مهمان</option>
												<option value=\"0\">عدم دسترسی مهمان به اتاق</option>
											";
										}
										else
										{
											echo "
												<option value=\"0\">عدم دسترسی مهمان به اتاق</option>
												<option value=\"1\">فعال سازی دسترسی مهمان</option>
											";					
										}
										
										echo "
										</select>										
										<div class=\"clear\"></div>
										
										<input type=\"hidden\" name=\"token\" value=\"" . md5($_SESSION["rooms_token"]) . "\">
										<input type=\"submit\" style=\"min-width:100px; border-radius:5px;\" value=\"ذخیره تغییرات اتاق گفتگو\">
									</form>
								</div>";
							}
						}
						else
						{
							echo "
							<div class=\"box\">
								<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
								The requested room does not exist - <a href=\"index.php?page=rooms\">بازگشت</a>
							</div>";
						}
					}
					else
					{
						echo "
						<div class=\"box\" style=>
							<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
							The requested room does not exist - <a href=\"index.php?page=rooms\">بازگشت</a>
						</div>";
					}
				}
				elseif (isset($_GET["sub"]) && $_GET["sub"] == "new")
				{
					if (isset($_GET["update"]) && $_GET["update"] == 1)
					{
						$title = trim($mysqli->real_escape_string($_POST["title"]));
						$topic = trim($mysqli->real_escape_string($_POST["desc"]));
						$limit = trim($mysqli->real_escape_string($_POST["limit"]));
						$icon = trim($mysqli->real_escape_string($_POST["icon"]));
						$password = trim($mysqli->real_escape_string($_POST["password"]));
						$gaccess = trim($mysqli->real_escape_string($_POST["gaccess"]));
						
						if ($title == null || $topic == null || $limit == null || !is_numeric($limit))
						{
							echo "<div class=\"title2\">ایجاد اتاق گفتگوی جدید</div>";
							echo "
							<div class=\"editor\">
								<form action=\"index.php?page=rooms&sub=new&update=1\" method=\"post\">
									<strong>عنوان اتاق گفتگو</strong><br />
									<span style=\"font-size:12px;\">عنوان کوتاه در لیست اتاق نمایش داده می شود.</span>
									<div class=\"clear\" style=\"margin-top:5px;\"></div>
									<input type=\"text\" maxlength=\"40\" name=\"title\" value=\"{$title}\">
									<div class=\"clear\"></div>
									
									<strong>موضوع اتاق</strong><br />
									<span style=\"font-size:12px;\">موضوع در بالای اتاق نمایش داده می شود.</span>
									<div class=\"clear\" style=\"margin-top:5px;\"></div>
									<input type=\"text\" maxlength=\"500\" name=\"desc\" value=\"{$topic}\">
									<div class=\"clear\"></div>
									
									<strong>محدودیت اتاق</strong><br />
									<span style=\"font-size:12px;\">حداکثر تعداد کاربری که می توانند در یک لحظه در این روم حضور داشته باشند.</span>
									<div class=\"clear\" style=\"margin-top:5px;\"></div>
									<input type=\"text\" maxlength=\"3\" name=\"limit\" value=\"{$limit}\">
									<div class=\"clear\"></div>
									
									<strong>آیکون اتاق</strong><br />
									<span style=\"font-size:12px;\">آیکون کوچک (ایده آل 12x12) در کنار نام اتاق نشسته (مورد نیاز نمی باشد)</span>
									<div class=\"clear\" style=\"margin-top:5px;\"></div>
									<input type=\"text\" maxlength=\"100\" name=\"icon\" value=\"{$icon}\">
									<div class=\"clear\"></div>
									
									<strong>رمز عبور اتاق</strong><br />
									<span style=\"font-size:12px;\">رمز عبور را وارد کنید ویا این فیلد را خالی رها کنید .</span>
									<div class=\"clear\" style=\"margin-top:5px;\"></div>
									<input type=\"text\" maxlength=\"30\" name=\"password\" value=\"{$password}\" placeholder=\"بدون رمز\">
									<div class=\"clear\"></div>
									
									<strong>دسترسی کاربران مهمان</strong><br />
									<span style=\"font-size:12px;\">آیا میخواهید به کاربران مهمان اجازه دهید وارد این اتاق شوند ؟</span>
									<div class=\"clear\" style=\"margin-top:5px;\"></div>
									<select name=\"gaccess\">";
									
									if ($room["guest_access"])
									{
										echo "
											<option value=\"1\">فعال سازی دسترسی مهمان ها.</option>
											<option value=\"0\">عدم اجازه به مهمان ها.</option>
										";
									}
									else
									{
										echo "
											<option value=\"0\">عدم اجازه به مهمان ها.</option>
											<option value=\"1\">فعال سازی دسترسی مهمان ها.</option>
										";					
									}
									
									echo "
									</select>										
									<div class=\"clear\"></div>
									
									<input type=\"hidden\" name=\"token\" value=\"" . md5($_SESSION["rooms_token_2"]) . "\">
									<input type=\"submit\" style=\"min-width:100px; border-radius:5px;\" value=\"ذخیره تنظیمات اتاق گفتگو\">
								</form>
							</div>";								
						}
						else
						{
							if (isset($_POST["token"]) && $_POST["token"] == md5($_SESSION["rooms_token_2"]))
							{
								// create the room
								if (file_exists("../chat/rooms_permanent/{$title}.html"))
								{
									$file_title = "{$title}_" . rand(1, 100) . "";
								}
								else
								{
									$file_title = "{$title}";
								}
								
								// strip invalid content
								$strip_title = preg_replace('/[a-zA-Z0-9ابپتثجچحیخدذرزسشطظعغفقکگلمنوهیئضص]/', '', $file_title);
								$final_title = "{$strip_title}.html";
								
								// set-up the room file
								$file = fopen("../chat/rooms_permanent/{$final_title}", 'w+');
								$log = fopen("../chat/rooms_permanent/logs/{$final_title}", 'w+');
								
								// Send notice to room.
								$string = "<li><small class='join'>اتاق گفتگو ایجاد شد.</small></li>\n";
								$current = strip_tags($string, "<li><small>");
								fwrite($file, $current);
								fclose($file);
								
								// Insert data to database
								$mysqli->query("INSERT INTO `rooms_permanent` (`room_title`, `room_desc`, `room_limit`, `room_icon`, `room_json`, `room_password`, `guest_access`)
																	   VALUES ('{$title}', '{$topic}', '{$limit}', '{$icon}', '{$final_title}', '{$password}', '{$gaccess}')") or die($mysqli->error);
																	   
								// back to room listings
								header('location: index.php?page=rooms&create=1');
							}
							else
							{
								echo "
								<div class=\"box\">
									<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
									Invalid submission token receieved, please try again.
								</div>";								
							}
						}
					}
					else 
					{	
						// update token
						if (!isset($_SESSION["rooms_token_2"]))
						{
							$_SESSION["rooms_token_2"] = sha1(rand(128, 5000));
						}
						
						echo "<div class=\"title2\">ایجاد اتاق گفتگوی جدید</div>";
						echo "
						<div class=\"editor\">
							<form action=\"index.php?page=rooms&sub=new&update=1\" method=\"post\">
								<strong>عنوان اتاق گفتگو</strong><br />
								<span style=\"font-size:12px;\">عنوان کوتاه در لیست اتاق نمایش داده می شود.</span>
								<div class=\"clear\" style=\"margin-top:5px;\"></div>
								<input type=\"text\" maxlength=\"40\" name=\"title\">
								<div class=\"clear\"></div>
								
								<strong>موضوع اتاق</strong><br />
								<span style=\"font-size:12px;\">موضوع در بالای اتاق نمایش داده می شود.</span>
								<div class=\"clear\" style=\"margin-top:5px;\"></div>
								<input type=\"text\" maxlength=\"500\" name=\"desc\">
								<div class=\"clear\"></div>
								
								<strong>محدودیت اتاق</strong><br />
								<span style=\"font-size:12px;\">حداکثر تعداد کاربری که می توانند در یک لحظه در این روم حضور داشته باشند.</span>
								<div class=\"clear\" style=\"margin-top:5px;\"></div>
								<input type=\"text\" maxlength=\"3\" name=\"limit\">
								<div class=\"clear\"></div>
								
								<strong>آیکون اتاق</strong><br />
								<span style=\"font-size:12px;\">آیکون کوچک (ایده آل 12x12) در کنار نام اتاق نشسته (مورد نیاز نمی باشد)</span>
								<div class=\"clear\" style=\"margin-top:5px;\"></div>
								<input type=\"text\" maxlength=\"100\" name=\"icon\">
								<div class=\"clear\"></div>
								
								<strong>رمز عبور اتاق</strong><br />
								<span style=\"font-size:12px;\">رمز عبور را وارد کنید ویا این فیلد را خالی رها کنید .</span>
								<div class=\"clear\" style=\"margin-top:5px;\"></div>
								<input type=\"text\" maxlength=\"30\" name=\"password\" placeholder=\"بدون رمز\">
								<div class=\"clear\"></div>
								
								<strong>دسترسی کاربران مهمان</strong><br />
								<span style=\"font-size:12px;\">آیا میخواهید به کاربران مهمان اجازه دهید وارد این اتاق شوند ؟</span>
								<div class=\"clear\" style=\"margin-top:5px;\"></div>
								<select name=\"gaccess\">
									<option value=\"1\">فعال سازی دسترسی مهمان ها.</option>
									<option value=\"0\">عدم اجازه به مهمان ها.</option>
								</select>										
								<div class=\"clear\"></div>
								
								<input type=\"hidden\" name=\"token\" value=\"" . md5($_SESSION["rooms_token_2"]) . "\">
								<input type=\"submit\" style=\"min-width:100px; border-radius:5px;\" value=\"ایجاد اتاق گفتگو\">
							</form>
						</div>";
					}
				}
				elseif (isset($_GET["sub"]) && $_GET["sub"] == "delete")
				{
					if (isset($_GET["delete"]) && is_numeric($_GET["delete"]))
					{
						$room_id = trim($mysqli->real_escape_string($_GET["delete"]));
						$query_room = $mysqli->query("SELECT * FROM `rooms_permanent` WHERE `room_id` = '{$room_id}'");
						if ($query_room->num_rows > 0)
						{
							$room = $query_room->fetch_array(MYSQLI_BOTH);
							if (isset($_GET["confirm"]))
							{
								if (isset($_SESSION["delete_key"]) && $_SESSION["delete_key"] == $_POST["deletekey"])
								{
									// update and disconnect users inside this room
									$mysqli->query("UPDATE `users` SET `reset` = '1' WHERE `user_room` = '{$room["room_id"]}'");
									
									// delete room file
									unlink("../chat/rooms_permanent/{$room["room_json"]}");
									unlink("../chat/rooms_permanent/logs/{$room["room_json"]}");
									
									// delete database entry
									$mysqli->query("DELETE FROM `rooms_permanent` WHERE `room_json` = '{$room["room_json"]}'");
									
									// Unset delete key
									unset($_SESSION["delete_key"]);
									
									// back to listings
									header('location: index.php?page=rooms&delete=1');
								}
								else
								{
									echo "
									<div class=\"box\">
										<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
										The authentication key was incorrect.
									</div>";								
								}
							}
							else
							{
								$_SESSION["delete_key"] = md5(rand(30, 529));
								
								echo "
								<div class=\"box\">
									<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">Confirm this action</div>
									Are you sure you wish to delete {$room["room_title"]}?<br />
									<span style=\"font-size:11px;\">Users inside this room will be disconnected.</span>
									<div class=\"clear\"></div>
									<form action=\"index.php?page=rooms&sub=delete&delete={$room["room_id"]}&confirm=1\" method=\"post\">
										<input type=\"hidden\" name=\"deletekey\" value=\"{$_SESSION["delete_key"]}\">
										<input type=\"submit\" value=\"Delete Now\" style=\"padding:10px; cursor:pointer;\">
									</form>
								</div>";
							}
						}
						else
						{
							echo "
							<div class=\"box\">
								<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
								The requested room does not exist - <a href=\"index.php?page=rooms\">بازگشت</a>
							</div>";
						}
					}
					else
					{
						echo "
						<div class=\"box\" style=>
							<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
							The requested room does not exist - <a href=\"index.php?page=rooms\">بازگشت</a>
						</div>";
					}
				}
				elseif (isset($_GET["sub"]) && $_GET["sub"] == "maintenance")
				{
					if (isset($_GET["perform"]) && $_GET["perform"] == 1)
					{
						if (isset($_GET["run"]) && $_GET["run"] == 1)
						{
							// prune all rooms
							$query_rooms = $mysqli->query("SELECT room_json FROM `rooms_permanent`");
							if ($query_rooms->num_rows > 0)
							{
								while($room = $query_rooms->fetch_assoc())
								{
									if (file_exists("../chat/rooms_permanent/{$room["room_json"]}"))
									{
										// prune this room
										$file = fopen("../chat/rooms_permanent/{$room["room_json"]}", 'w+');
										
										// Send notice to room.
										$string = "<li><small class='join'>The room was cleared by an administrator.</small></li>\n";
										fwrite($file, $string);
										fclose($file);
									}
								}
								
								echo "
								<div class=\"box\" style=>
									<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">Task Completed</div>
									Your chat rooms were successfully pruned - <a href=\"index.php?page=rooms&sub=maintenance\">بازگشت</a>
								</div>";	
							}
							else
							{
								echo "
								<div class=\"box\" style=>
									<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
									There are no rooms to prune - <a href=\"index.php?page=rooms&sub=maintenance\">بازگشت</a>
								</div>";							
							}
						}
						else
						{
							echo "
							<div class=\"box\">
								<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">تمیز کردن تمام اتاق های چت</div>
								This task will clear the chat from all rooms on the website. This will not affect your users therefore shutting down your website is not required.
								<div class=\"clear\"></div>
								<div class=\"maintenance\">
									<img src=\"template/icons/tick_icon.png\"> <a href=\"index.php?page=rooms&sub=maintenance&perform=1&run=1\">اجرا کن!</a>
								</div>
								<div class=\"maintenance\">
									<img src=\"template/icons/cross_icon.png\"> <a href=\"index.php?page=rooms&sub=maintenance\">لغو</a>
								</div>								
							</div>";
						}
					}
					elseif (isset($_GET["perform"]) && $_GET["perform"] == 2)
					{
						if (isset($_GET["run"]) && $_GET["run"] == 1)
						{
							// kick all users
							$query_guests = $mysqli->query("SELECT guest_id FROM `guests`");
							$query_users = $mysqli->query("SELECT user_id, rank, active, kicked FROM `users` WHERE `active` = '1' AND `rank` <= '2'");
							if ($query_users->num_rows > 0 || $query_guests->num_rows > 0)
							{
								while($u = $query_users->fetch_assoc())
								{
									$mysqli->query("UPDATE `users` SET `kicked` = '1', `active` = '0' WHERE `user_id` = '{$u["user_id"]}'");
								}
								
								if ($query_guests->num_rows > 0)
								{
									while($g2u = $query_guests->fetch_assoc())
									{
										$mysqli->query("DELETE FROM `guests` WHERE `guest_id` = '{$g2u["guest_id"]}'");
									}
								}
								
								echo "
								<div class=\"box\" style=>
									<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">Task Completed</div>
									All users were successfully kicked. - <a href=\"index.php?page=rooms&sub=maintenance\">بازگشت</a>
								</div>";	
							}
							else
							{
								echo "
								<div class=\"box\" style=>
									<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
									There are no users to kick - <a href=\"index.php?page=rooms&sub=maintenance\">بازگشت</a>
								</div>";							
							}
						}
						else
						{
							echo "
							<div class=\"box\">
								<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">بیرون انداختن تمام کاربران چت روم</div>
								با این وظیفه تمام کاربران چت روم بیرون انداخته میشوند و باید دوباره وارد چت روم شوند و برای بسیاری از موارد مفید میباشد . توجه داشته باشید اگر میخواهد چت روم را در حالت تعمیر قرار دهید باید به این صفحه مراجعه کنید : <a href=\"index.php?page=settings\">تنظیمات برگه</a>.
								<div class=\"clear\"></div>
								<div class=\"maintenance\">
									<img src=\"template/icons/tick_icon.png\"> <a href=\"index.php?page=rooms&sub=maintenance&perform=2&run=1\">اجرا کن!</a>
								</div>
								<div class=\"maintenance\">
									<img src=\"template/icons/cross_icon.png\"> <a href=\"index.php?page=rooms&sub=maintenance\">لغو</a>
								</div>								
							</div>";
						}
					}
					elseif (isset($_GET["perform"]) && $_GET["perform"] == 3)
					{
						if (isset($_GET["run"]) && $_GET["run"] == 1)
						{
							// send global announcement
							if (isset($_POST["content"]) && $_POST["content"] != null)
							{
								$content = trim($mysqli->real_escape_string($_POST["content"]));
								
								$query_rooms = $mysqli->query("SELECT room_json FROM `rooms_permanent`");
								if ($query_rooms->num_rows > 0)
								{
									while($room = $query_rooms->fetch_assoc())
									{
										if (file_exists("../chat/rooms_permanent/{$room["room_json"]}"))
										{
											$file = "../chat/rooms_permanent/{$room["room_json"]}";
											
											// Open the file to get existing content
											$current = file_get_contents($file);
											
											// Content
											$content = strip_tags(stripslashes($content));
											
											// Append a new person to the file
											$string = "<li class=\"announcement\">$content</li>\n";
											$current .= strip_tags($string, "<li><small>");
											
											// Write the contents back to the file
											file_put_contents($file, $current);
										}
									}
									
									echo "
									<div class=\"box\" style=>
										<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">Task Completed</div>
										Announcement successfully posted - <a href=\"index.php?page=rooms&sub=maintenance\">بازگشت</a>
									</div>";	
								}
								else
								{
									echo "
									<div class=\"box\" style=>
										<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
										There are no rooms to send an announcement to - <a href=\"index.php?page=rooms&sub=maintenance\">بازگشت</a>
									</div>";							
								}
							}
							else
							{
								echo "
								<div class=\"box\" style=>
									<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
									You tried to send a blank announcement - <a href=\"index.php?page=rooms&sub=maintenance&perform=3\">Back to Global Announcement</a>
								</div>";								
							}
						}
						else
						{
							echo "
							<div class=\"box\">
								<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">اطلاعیه سراسری</div>
								متن اطلاعیه را وارد کنید تا ارسال شود, html ذر این اطلاعبه غیرفعال میباشد . شما میتوانید از لینک در این پیام استفاده کنید . مثال : \"http://google.com\".
								<div class=\"clear\"></div>
								<form action=\"index.php?page=rooms&sub=maintenance&perform=3&run=1\" method=\"post\">
									<input type=\"text\" name=\"content\" style=\"width:420px; padding:10px;\">
									<input type=\"submit\" value=\"Send Room Topic\" style=\"padding:10px; float:right; margin-right:1px;\">
								</form>
								<div class=\"clear\"></div>
								<div class=\"maintenance\">
									<img src=\"template/icons/cross_icon.png\"> <a href=\"index.php?page=rooms&sub=maintenance\">لغو</a>
								</div>								
							</div>";
						}
					}
					elseif (isset($_GET["perform"]) && $_GET["perform"] == 4)
					{
						if (isset($_GET["run"]) && $_GET["run"] == 1)
						{
							// kick all guests
							$query_guests = $mysqli->query("SELECT guest_id FROM `guests`");
							if ($query_guests->num_rows > 0)
							{
								while($g2u = $query_guests->fetch_assoc())
								{
									$mysqli->query("DELETE FROM `guests` WHERE `guest_id` = '{$g2u["guest_id"]}'");
								}
								
								echo "
								<div class=\"box\" style=>
									<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">Task Completed</div>
									All guests were successfully kicked. - <a href=\"index.php?page=rooms&sub=maintenance\">بازگشت</a>
								</div>";	
							}
							else
							{
								echo "
								<div class=\"box\" style=>
									<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
									There are no guests to kick - <a href=\"index.php?page=rooms&sub=maintenance\">بازگشت</a>
								</div>";							
							}
						}
						else
						{
							echo "
							<div class=\"box\">
								<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">بیرون انداختن تمامی مهمان ها</div>
								با این وظیفه تمامی مهمان ها از چت روم بیرون انداخته میشوند و مجبورند دوباره وارد چت روم شوند .
								<div class=\"clear\"></div>
								<div class=\"maintenance\">
									<img src=\"template/icons/tick_icon.png\"> <a href=\"index.php?page=rooms&sub=maintenance&perform=4&run=1\">اجرا کن!</a>
								</div>
								<div class=\"maintenance\">
									<img src=\"template/icons/cross_icon.png\"> <a href=\"index.php?page=rooms&sub=maintenance\">لغو</a>
								</div>								
							</div>";
						}
					}
					else
					{
						echo "
						<div class=\"box\">
							<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">تعمیر و نگهداری اتاق گفتگو</div>
							تمامی تغییرات در چت روم تاثیر گذار هستند . این وظایف و تغییرات را در حالی میتوان انجام داد که در ورود کاربران به چت روم مشکلی پیش نخواهد آمد
							.
							<div class=\"clear\"></div>
							<div class=\"maintenance\">
								<img src=\"template/icons/prune_icon.png\"> <a href=\"index.php?page=rooms&sub=maintenance&perform=1\">تمیز کردن اتاق های چت</a>
							</div>
							<div class=\"maintenance\">
								<img src=\"template/icons/delete_icon.png\"> <a href=\"index.php?page=rooms&sub=maintenance&perform=2\">بیرون انداختن تمام کاربران از چت روم</a>
							</div>	
							<div class=\"maintenance\">
								<img src=\"template/icons/guests_icon.png\"> <a href=\"index.php?page=rooms&sub=maintenance&perform=4\">بیرون انداختن تمام مهمان ها از چت روم</a>
							</div>	
							<div class=\"maintenance\">
								<img src=\"template/icons/announce_icon.png\"> <a href=\"index.php?page=rooms&sub=maintenance&perform=3\">ارسال یک اعلان سراسری برای چت روم</a>
							</div>								
						</div>";
					}
				}
				else
				{
					// list chat rooms
					echo "<div class=\"title2\">مدیریت اتاق های گفتگو</div>";
					
					$query_rooms = $mysqli->query("SELECT * FROM `rooms_permanent`");
					if ($query_rooms->num_rows > 0)
					{
						echo "
						<table class=\"forum\">
							<tr>
								<th style=\"width:40px; text-align:center;\">آیکون</th>
								<th>عنوان اتاق</th>
								<th style=\"width:80px; text-align:center;\">محدودیت آنلاین ها</th>
								<th style=\"width:60px;\"></th>
							</tr>
						";
						
						while($room = $query_rooms->fetch_assoc())
						{
							if ($room["room_icon"] == null)
							{
								$icon = "template/icons/empty_icon.png";
							}
							else
							{
								$icon = $room["room_icon"];
							}
							
							echo "
							<tr>
								<td style=\"text-align:center;\">
									<img src=\"{$icon}\" style=\"float:left; margin-top:1px; margin-left:8px;\" height=\"16px\">
								</td>
								<td>
									<span style=\"float:left;\">
										<a href=\"index.php?page=rooms&sub=edit&edit={$room["room_id"]}\">{$room["room_title"]}</a>
									</span>
								</td>
								<td style=\"text-align:center;\">
									{$room["room_limit"]}
								</td>
								<td style=\"text-align:center;\">
									<a href=\"index.php?page=rooms&sub=edit&edit={$room["room_id"]}\"><img src=\"template/icons/edit_icon.png\"></a>
									<a href=\"index.php?page=rooms&sub=delete&delete={$room["room_id"]}\"><img src=\"template/icons/delete_icon.png\"></a>
								</td>
							</tr>";
							
							unset($icon);
						}
						
						echo "</table>";
					}
					else
					{
						echo "هیچ اتاق گفتگویی وجود ندارد";
					}
				}
			?>
		</div>
		
		<div class="left_menu">
			<a href="index.php?page=rooms"><img src="template/icons/manage_icon.png"> مدیریت اتاق گفتگو</a>
			<a href="index.php?page=rooms&sub=new"><img src="template/icons/new_icon.png"> اتاق گفتگوی جدید</a>
			<a href="index.php?page=rooms&sub=maintenance"><img src="template/icons/maint_icon.png"> حالت تعمیر سراسری</a>
			<a href="http://www.persianscript.ir/" target="_blank"><img src="template/icons/info_icon.png"> سایت پشتیبان</a>
		</div>
	</div>

<?php endif; ?>