<?php
	/**
	 * readyChat 1.3.0 release
	 * by Persianscript
	 */
	 
	// Logged in checker
	if (!$user["apanel"]): header('location: ../index.php'); die(); else:
	
	if (isset($_GET["success"]) && $_GET["success"] == 1)
	{
		$success = "<div class=\"success_head\">تنظیمات بروزرسانی گردید</div>";
	}
	else
	{
		$success = "";
	}
	
	if (isset($_GET["error"]) && $_GET["error"] == 1)
	{
		$error = "<div class=\"error_head\">لطفا تمامی گزینه ها را تکمیل کنید</div>";
	}
	elseif (isset($_GET["error"]) && $_GET["error"] == 2)
	{
		$error = "<div class=\"error_head\">Fields should be numeric.</div>";
	}
	else
	{
		$error = "";
	}
	
	echo $error;
	echo $success;
?>
	<div id="content">
		<div class="title">
			تنظیمات چت اسکریپت
		</div>
		<div class="right_menu">

		<?php
		if (isset($_GET["sub"]) && $_GET["sub"] == "games")
		{
			if (isset($_GET["update"]) && $_GET["update"] == 1)
			{
				if (isset($_POST["token"]) && $_POST["token"] == md5($_SESSION["settings_token_games"]))
				{
					$games = trim($mysqli->real_escape_string($_POST["games"]));
	
					if (is_numeric($games))
					{
						// Update settings
						$mysqli->query("UPDATE `settings` SET `games` = '{$games}'");
						
						header('location: index.php?page=settings&sub=games&success=1');
					}
					else
					{
						header('location: index.php?page=settings&sub=games&error=2');
					}			
				}
				else
				{
					echo "
					<div class=\"box\">
						<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
						یک خطای نا مشخص رخ داد. دوباره امتحان کنید
					</div>";					
				}
			}
			else
			{
				// update token
				if (!isset($_SESSION["settings_token_games"]))
				{
					$_SESSION["settings_token_games"] = sha1(rand(128, 5000));
				}
				
				echo "<div class=\"title2\">تنطیمات بازی فلش</div>";
				echo "
				<div class=\"editor\">
					<form action=\"index.php?page=settings&sub=games&update=1\" method=\"post\">
						<strong>بازی فلش</strong><br />
						<span style=\"font-size:12px;\">اجازه به کاربران برای بازی کردن به صورت آنلاین (بازی فلش)</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"games\">";
						
						if ($settings["games"])
						{
							echo "
								<option value=\"1\">فعال سازی بازی فلش</option>
								<option value=\"0\">غیر فعال سازی بازی فلش</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">غیر فعال سازی بازی فلش</option>
								<option value=\"1\">فعال سازی بازی فلش</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<input type=\"hidden\" name=\"token\" value=\"" . md5($_SESSION["settings_token_games"]) . "\">
						<input type=\"submit\" style=\"min-width:100px; border-radius:5px;\" value=\"ذخیره تغییرات\">
					</form>
				</div>";
			}
		}
		elseif (isset($_GET["sub"]) && $_GET["sub"] == "members")
		{
			if (isset($_GET["update"]) && $_GET["update"] == 1)
			{
				if (isset($_POST["token"]) && $_POST["token"] == md5($_SESSION["settings_token_1"]))
				{
					$idle = trim($mysqli->real_escape_string($_POST["idle"]));
					$e_kick = trim($mysqli->real_escape_string($_POST["exempt_kick"]));
					$register = trim($mysqli->real_escape_string($_POST["register"]));
					$private = trim($mysqli->real_escape_string($_POST["private"]));
		
					if ($idle == null || $e_kick == null)
					{
						header('location: index.php?page=settings&sub=members&error=1');
					}
					else
					{
						if (is_numeric($idle) && is_numeric($register) && is_numeric($private))
						{
							// Update settings
							$mysqli->query("UPDATE `settings` SET `kick_exempt` = '{$e_kick}', `idle_kick` = '{$idle}', `can_register` = '{$register}', `private_messages` = '{$private}'");
							
							header('location: index.php?page=settings&sub=members&success=1');
						}
						else
						{
							header('location: index.php?page=settings&sub=members&error=2');
						}
					}
				}
				else
				{
					echo "
					<div class=\"box\">
						<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">خطا</div>
						یک خطای نا مشخص رخ داد. دوباره امتحان کنید
					</div>";								
				}
			}
			else
			{
				// update token
				if (!isset($_SESSION["settings_token_1"]))
				{
					$_SESSION["settings_token_1"] = sha1(rand(128, 5000));
				}
				
				echo "<div class=\"title2\">تنظیمات کاربران</div>";
				echo "
				<div class=\"editor\">
					<form action=\"index.php?page=settings&sub=members&update=1\" method=\"post\">
						<strong>بیرون انداختن بیکارها</strong><br />
						<span style=\"font-size:12px;\">چه مدت (دقیقه) کاربر بیکار وبدون گفتگو میشود اخراج شود ؟</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<input type=\"text\" maxlength=\"6\" name=\"idle\" value=\"{$settings["idle_kick"]}\">
						<div class=\"clear\"></div>
						
						<strong>تایید مدیران برای بیرون انداختن کاربران غیرفعال <em></em></strong><br />
						<span style=\"font-size:12px;\">آیا نیاز است که مدیران بیرون انداختن کاربران بیکار را تایید کنند ؟</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"exempt_kick\">";
						
						if ($settings["kick_exempt"])
						{
							echo "
								<option value=\"1\">نیاز به تایید مدیران برای بیرون انداختن کاربران بیکار نیست</option>
								<option value=\"0\">نیاز به تایید مدیران برای بیرون انداختن کاربران بیکار میباشد</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">نیاز به تایید مدیران برای بیرون انداختن کاربران بیکار میباشد</option>
								<option value=\"1\">نیاز به تایید مدیران برای بیرون انداختن کاربران بیکار نیست</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<strong>باز یا بسته بودن ثبت نام</strong><br />
						<span style=\"font-size:12px;\">آیا اعضا جدید اجازه ثبت نام دارند ؟</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"register\">";
						
						if ($settings["can_register"])
						{
							echo "
								<option value=\"1\">اجازه میدهید که اعضا جدید ثبت نام کنند .</option>
								<option value=\"0\">اجازه نمی دهید که اعضا جدید ثبت نام کنند .</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">اجازه نمی دهید که اعضا جدید ثبت نام کنند .</option>
								<option value=\"1\">اجازه میدهید که اعضا جدید ثبت نام کنند .</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<strong>پیام خصوصی</strong><br />
						<span style=\"font-size:12px;\">آیا اجازه میدهید که کاربران به یکدیگر پیام خصوصی بدهند ؟</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"private\">";
						
						if ($settings["private_messages"])
						{
							echo "
								<option value=\"1\">فعال کردن پیام خصوصی</option>
								<option value=\"0\">غیرفعال کردن پیام خصوصی</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">غیرفعال کردن پیام خصوصی</option>
								<option value=\"1\">فعال کردن پیام خصوصی</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<input type=\"hidden\" name=\"token\" value=\"" . md5($_SESSION["settings_token_1"]) . "\">
						<input type=\"submit\" style=\"min-width:100px; border-radius:5px;\" value=\"دخیره تنظیمات\">
					</form>
				</div>";
			}
		}
		elseif (isset($_GET["sub"]) && $_GET["sub"] == "guests")
		{
			if (isset($_GET["update"]) && $_GET["update"] == 1)
			{
				if (isset($_POST["token"]) && $_POST["token"] == md5($_SESSION["guests_token"]))
				{
					$aguests = trim($mysqli->real_escape_string($_POST["aguests"]));
					$gchat = trim($mysqli->real_escape_string($_POST["gchat"]));
					$garcade = trim($mysqli->real_escape_string($_POST["garcade"]));
		
					if (is_numeric($aguests) && is_numeric($gchat) && is_numeric($garcade))
					{
						// Update settings
						$mysqli->query("UPDATE `settings` SET `allow_guests` = '{$aguests}', `guest_chat` = '{$gchat}', `guest_arcade` = '{$garcade}'");
						
						header('location: index.php?page=settings&sub=guests&success=1');
					}
					else
					{
						header('location: index.php?page=settings&sub=guests&error=2');
					}
				}
				else
				{
					echo "
					<div class=\"box\">
						<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">Error</div>
						یک خطای نا مشخص رخ داد. دوباره امتحان کنید
					</div>";								
				}
			}
			else
			{
				// update token
				if (!isset($_SESSION["guests_token"]))
				{
					$_SESSION["guests_token"] = sha1(rand(128, 5000));
				}
				
				echo "<div class=\"title2\">تنظیمات مهمان ها</div>";
				echo "
				<div class=\"editor\">
					<form action=\"index.php?page=settings&sub=guests&update=1\" method=\"post\">
						<strong>فعال بودن دسترسی مهمان ها</strong><br />
						<span style=\"font-size:12px;\">اگر گزینه فعال باشد افراد مهمان میتوانند بدون عضویت وارد چت روم شوند .</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"aguests\">";
						
						if ($settings["allow_guests"])
						{
							echo "
								<option value=\"1\">فعال بودن دسترسی مهمان ها به چت روم</option>
								<option value=\"0\">غیرفعال بودن دسترسی مهمان ها به چت روم</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">غیرفعال بودن دسترسی مهمان ها به چت روم</option>
								<option value=\"1\">فعال بودن دسترسی مهمان ها به چت روم</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<strong>چت مهمان ها</strong><br />
						<span style=\"font-size:12px;\">آیا کاربران مهمان میتوانند چت کنند و یا فقط میتوانند خواننده مکالمات چت روم باشند ؟</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"gchat\">";
						
						if ($settings["guest_chat"])
						{
							echo "
								<option value=\"1\">فعال بودن چت مهمان ها .</option>
								<option value=\"0\">غیرفعال بودن چت مهمان ها .</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">غیرفعال بودن چت مهمان ها .</option>
								<option value=\"1\">فعال بودن چت مهمان ها .</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<strong>دسترسی مهمان ها به قسمت بازی و سرگرمی</strong><br />
						<span style=\"font-size:12px;\">آیا کاربران مهمانمیتوانند دسترسی به قسمت بازی و سرگرمی داشته باشند ؟</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"garcade\">";
						
						if ($settings["guest_arcade"])
						{
							echo "
								<option value=\"1\">فعال بودن بازی برای کاربران مهمان</option>
								<option value=\"0\">غیرفعال بودن بازی برای کاربران مهمان</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">غیرفعال بودن بازی برای کاربران مهما</option>
								<option value=\"1\">فعال بودن بازی برای کاربران مهمان</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<input type=\"hidden\" name=\"token\" value=\"" . md5($_SESSION["guests_token"]) . "\">
						<input type=\"submit\" style=\"min-width:100px; border-radius:5px;\" value=\"ذخیره تنظیمات\">
					</form>
				</div>";
			}
		}
		elseif (isset($_GET["sub"]) && $_GET["sub"] == "profiles")
		{
			if (isset($_GET["update"]) && $_GET["update"] == 1)
			{
				if (isset($_POST["token"]) && $_POST["token"] == md5($_SESSION["settings_token_2"]))
				{
					$profiles = trim($mysqli->real_escape_string($_POST["profiles"]));
					$embed = trim($mysqli->real_escape_string($_POST["embedded_profiles"]));
					$uploads = trim($mysqli->real_escape_string($_POST["uploads"]));
					$size = trim($mysqli->real_escape_string($_POST["size"]));
					
					if (is_numeric($profiles) && is_numeric($embed) && is_numeric($uploads) && is_numeric($size))
					{
						// Update settings
						$mysqli->query("UPDATE `settings` SET `allow_profiles` = '{$profiles}', `embedded_profiles` = '{$embed}', `allow_uploads` = '{$uploads}', `avatar_size` = '{$size}'");
						
						header('location: index.php?page=settings&sub=profiles&success=1');
					}
					else
					{
						header('location: index.php?page=settings&sub=profiles&error=2');
					}
				}
				else
				{
					echo "
					<div class=\"box\">
						<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">Error</div>
						یک خطای نا مشخص رخ داد. دوباره امتحان کنید
					</div>";								
				}
			}
			else
			{
				// update token
				if (!isset($_SESSION["settings_token_2"]))
				{
					$_SESSION["settings_token_2"] = sha1(rand(128, 5000));
				}
				
				echo "<div class=\"title2\">تنظیمات پروفایل</div>";
				echo "
				<div class=\"editor\">
					<form action=\"index.php?page=settings&sub=profiles&update=1\" method=\"post\">
						<strong>فعال بودن پروفایل</strong><br />
						<span style=\"font-size:12px;\">اگر فعال باشد، کاربران قادر به مشاهده مشخصات اعضاء خواهد بود.</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"profiles\">";
						if ($settings["allow_profiles"])
						{
							echo "
								<option value=\"1\">فعال بودن پروفایل</option>
								<option value=\"0\">غیرفعال بودن پروفایل</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">غیرفعال بودن پروفایل</option>
								<option value=\"1\">فعال بودن پروفایل</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<strong>Use Embedded Profiles</strong><br />
						<span style=\"font-size:12px;\">If enabled, profiles will be viewed in-chat instead of a new window.</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"embedded_profiles\">";
						if ($settings["embedded_profiles"])
						{
							echo "
								<option value=\"1\">Enable embedded profiles.</option>
								<option value=\"0\">Disable embedded profiles.</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">Disable embedded profiles.</option>
								<option value=\"1\">Enable embedded profiles.</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<strong>اجازه ارسال آواتار</strong><br />
						<span style=\"font-size:12px;\">لطفا اطمینان حاصل کنید  `template/avatars/uploads` که این مسیر قابل نوشتن میباشد</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"uploads\">";
						if ($settings["allow_uploads"])
						{
							echo "
								<option value=\"1\">اجازه آپلود آواتار را دارند</option>
								<option value=\"0\">اجازه آپلود آواتار را ندارند</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">آجازه آپلود آواتار را ندارند</option>
								<option value=\"1\">اجازه آپلود آواتار را دارند</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<strong>حداکثر حجم آواتار</strong><br />
						<span style=\"font-size:12px;\">حداکثر حجم آپلود آواتار به کیلوبایت.</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<input type=\"text\" maxlength=\"40\" name=\"size\" value=\"{$settings["avatar_size"]}\">
						<div class=\"clear\"></div>
						
						<input type=\"hidden\" name=\"token\" value=\"" . md5($_SESSION["settings_token_2"]) . "\">
						<input type=\"submit\" style=\"min-width:100px; border-radius:5px;\" value=\"ذخیره تنظیمات\">
					</form>
				</div>";
			}
		}
		elseif (isset($_GET["sub"]) && $_GET["sub"] == "chat")
		{
			if (isset($_GET["update"]) && $_GET["update"] == 1)
			{
				if (isset($_POST["token"]) && $_POST["token"] == md5($_SESSION["settings_token_3"]))
				{
					$messages = trim($mysqli->real_escape_string($_POST["messages"]));
					$spam = trim($mysqli->real_escape_string($_POST["spam"]));
					$e_spam = trim($mysqli->real_escape_string($_POST["exempt_spam"]));
					$e_full = trim($mysqli->real_escape_string($_POST["exempt_full"]));
					$links = trim($mysqli->real_escape_string($_POST["links"]));
					$auto_poll = trim($mysqli->real_escape_string($_POST["auto_poll"]));
					
					if ($messages == null || $spam == null && $spam != 0 || $e_spam == null || $e_full == null || $links == null)
					{
						header('location: index.php?page=settings&sub=chat&error=1');
					}
					else
					{
						if (is_numeric($spam))
						{
							// Update settings
							$mysqli->query("UPDATE `settings` SET `spam` = '{$spam}', `spam_exempt` = '{$e_spam}', `full_exempt` = '{$e_full}', `allow_links` = '{$links}', `max_message` = '{$messages}', `auto_poll` = '{$auto_poll}'");
							
							header('location: index.php?page=settings&sub=chat&success=1');
						}
						else
						{
							header('location: index.php?page=settings&sub=chat&error=2');
						}
					}
				}
				else
				{
					echo "
					<div class=\"box\">
						<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">Error</div>
						یک خطای نا مشخص رخ داد. دوباره امتحان کنید
					</div>";								
				}
			}
			else
			{
				// update token
				if (!isset($_SESSION["settings_token_3"]))
				{
					$_SESSION["settings_token_3"] = sha1(rand(128, 5000));
				}
				
				echo "<div class=\"title2\">تنظیمات چت</div>";
				echo "
				<div class=\"editor\">
					<form action=\"index.php?page=settings&sub=chat&update=1\" method=\"post\">
						<strong>حداکثر طول پیام </strong><br />
						<span style=\"font-size:12px;\">آیا میخواهید محدودیت تعداد کراکتر در هر پیام اعمال کنید ؟</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<input type=\"text\" maxlength=\"4\" name=\"messages\" value=\"{$settings["max_message"]}\">
						<div class=\"clear\"></div>
						
						<strong>Auto Poll for new messages</strong><br />
						<span style=\"font-size:12px;\">This might make the chat appear to be snappier, though will increase bandwidth usage.</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"auto_poll\">";
						
						if ($settings["auto_poll"])
						{
							echo "
								<option value=\"1\">Enable Auto Poll</option>
								<option value=\"0\">Disable Auto Poll</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">Disable Auto Poll</option>
								<option value=\"1\">Enable Auto Poll</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<strong>جلوگیری از هرزنامه ها</strong><br />
						<span style=\"font-size:12px;\">چه مدت (در ثانیه) یک کاربر میتواند پیام ارسال کند</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<input type=\"text\" maxlength=\"6\" name=\"spam\" value=\"{$settings["spam"]}\">
						<div class=\"clear\"></div>
						
						<strong>مدیران از سیستم جلوگیری از هرزنامه معاف شوند ؟</strong><br />
						<span style=\"font-size:12px;\">آیا مدیران و ناظران از زمان ارسال پیام در جلوگیری از هرزنامه معاف باشند ؟</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"exempt_spam\">";
						
						if ($settings["spam_exempt"])
						{
							echo "
								<option value=\"1\">معاف بودن مدیران در سیستم جلوگیری از هرزنامه</option>
								<option value=\"0\">معاف نبودن مدیران در سیستم جلوگیری از هرزنامه</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">معاف نبودن مدیران در سیستم جلوگیری از هرزنامه</option>
								<option value=\"1\">معاف بودن مدیران در سیستم جلوگیری از هرزنامه</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<strong>ورود مدیران به اتاق های چت پر شده </strong><br />
						<span style=\"font-size:12px;\">آیا میخواهید مدیران بتوانند وارد اتاق های چت که پر شده اند وارد شوند ؟</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"exempt_full\">";
						
						if ($settings["full_exempt"])
						{
							echo "
								<option value=\"1\">مدیران بتوانند وارد اتاق های پر بشوند</option>
								<option value=\"0\">مدیران نتوانند وارد اتاق های پر بشنود</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">مدیران نتوانند وارد اتاق های پر بشنود</option>
								<option value=\"1\">مدیران بتوانند وارد اتاق های پر بشوند</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<strong>اجازه قرار دادن لینک قابل کلیک</strong><br />
						<span style=\"font-size:12px;\">آیا لینک های در چت روم بصورت خودکار قابل کلیک شوند ؟</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"links\">";
						
						if ($settings["allow_links"])
						{
							echo "
								<option value=\"1\">فعال شدن قابل کلیک شدن لینک ها</option>
								<option value=\"0\">غیرفعال شدن قابل کلیک شدن لینک ها</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">غیرفعال شدن قابل کلیک شدن لینک ها</option>
								<option value=\"1\">فعال شدن قابل کلیک شدن لینک ها</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<input type=\"hidden\" name=\"token\" value=\"" . md5($_SESSION["settings_token_3"]) . "\">
						<input type=\"submit\" style=\"min-width:100px; border-radius:5px;\" value=\"ذخیره تنظیمات\">
					</form>
				</div>";
			}
		}
		else
		{
			if (isset($_GET["update"]) && $_GET["update"] == 1)
			{
				if (isset($_POST["token"]) && $_POST["token"] == md5($_SESSION["settings_token_4"]))
				{
					$title = trim($mysqli->real_escape_string($_POST["title"]));
					$news = trim($mysqli->real_escape_string($_POST["news"]));
					$banned = trim($mysqli->real_escape_string($_POST["bannedtxt"]));
					$offline = trim($mysqli->real_escape_string($_POST["offline"]));
					
					if ($title == null || $news == null || $banned == null)
					{
						header('location: index.php?page=settings&error=1');
					}
					else
					{
						// if offline was enabled, kick online users
						if ($offline)
						{
							$query_users = $mysqli->query("SELECT user_id, active, rank, apanel, kicked FROM `users` WHERE `active` = '1' AND `rank` < 2 AND `apanel` != 1");
							if ($query_users->num_rows > 0)
							{
								while($u2u = $query_users->fetch_assoc())
								{
									$mysqli->query("UPDATE `users` SET `active` = '0', `kicked` = '1' WHERE `user_id` = '{$u2u["user_id"]}'");
								}
							}
							
							$query_guests = $mysqli->query("SELECT guest_id, active FROM `guests`");
							if ($query_guests->num_rows > 0)
							{
								while($g2u = $query_guests->fetch_assoc())
								{
									$mysqli->query("DELETE FROM `guests` WHERE `guest_id` = '{$g2u["guest_id"]}'");
								}
							}
						}
					
						// Update settings
						$mysqli->query("UPDATE `settings` SET `site_title` = '{$title}', `login_news` = '{$news}', `banned_text` = '{$banned}', `offline_mode` = '{$offline}'");
						
						header('location: index.php?page=settings&success=1');
					}
				}
				else
				{
					echo "
					<div class=\"box\">
						<div class=\"title\" style=\"margin-top:0px; margin-bottom:10px;\">Error</div>
						یک خطای نا مشخص رخ داد. دوباره امتحان کنید
					</div>";								
				}
			}
			else
			{
				// update token
				if (!isset($_SESSION["settings_token_4"]))
				{
					$_SESSION["settings_token_4"] = sha1(rand(128, 5000));
				}
				
				echo "<div class=\"title2\">تنظیمات اصلی</div>";
				echo "
				<div class=\"editor\">
					<form action=\"index.php?page=settings&update=1\" method=\"post\">
						<strong>عنوان سایت</strong><br />
						<span style=\"font-size:12px;\">عنوان سایت چت شما</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<input type=\"text\" maxlength=\"40\" name=\"title\" value=\"{$settings["site_title"]}\">
						<div class=\"clear\"></div>
						
						<strong>ورود اخبار</strong><br />
						<span style=\"font-size:12px;\">اخبار در صفحه ورود به چت نمایش داده می شود.</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<textarea name=\"news\">{$settings["login_news"]}</textarea>
						<div class=\"clear\"></div>
						
						<strong>پیام لیست سیاه</strong><br />
						<span style=\"font-size:12px;\">اگر یک ای پی که در لیست سیاه قرار دارد برای ورود تلاش کند چه پیامی به اون نمایش داده شود ؟</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<textarea name=\"bannedtxt\">{$settings["banned_text"]}</textarea>
						<div class=\"clear\"></div>
						
						<strong>حالت آفلاین</strong><br />
						<span style=\"font-size:12px;\">تنها مدیران در این حالت میتوانند به چت روم وارد شوند</span>
						<div class=\"clear\" style=\"margin-top:5px;\"></div>
						<select name=\"offline\">";
						
						if ($settings["offline_mode"])
						{
							echo "
								<option value=\"1\">فعال کردن حالت آفلاین</option>
								<option value=\"0\">غیرفعال کردن حالت آفلاین</option>
							";
						}
						else
						{
							echo "
								<option value=\"0\">غیرفعال کردن حالت آفلاین</option>
								<option value=\"1\">فعال کردن حالت آفلاین</option>
							";					
						}
						
						echo "
						</select>
						<div class=\"clear\"></div>
						
						<input type=\"hidden\" name=\"token\" value=\"" . md5($_SESSION["settings_token_4"]) . "\">
						<input type=\"submit\" style=\"min-width:100px; border-radius:5px;\" value=\"ذخیره تنظیمات\">
					</form>
				</div>";
			}
		}
		?>
	
		</div>
		
		<div class="left_menu">
			<a href="index.php?page=settings"><img src="template/icons/settings_icon.png"> تنظیمات اصلی</a>
			<a href="index.php?page=settings&sub=members"><img src="template/icons/users_icon.png"> تنظیمات کاربران</a>
			<a href="index.php?page=settings&sub=guests"><img src="template/icons/guests_icon.png"> تنظیمات مهمان ها</a>
			<a href="index.php?page=settings&sub=profiles"><img src="template/icons/user_icon.png"> تنظیمات پروفایل</a>
			<a href="index.php?page=settings&sub=chat"><img src="template/icons/chat_icon.png"> تنظیمات چت</a>
			<a href="index.php?page=settings&sub=games"><img src="template/icons/games_icon.png"> تنظیمات بازی های فلش</a>
		</div>
	</div>

<?php endif; ?>