<?php
	/**
	 * readyChat 1.3.0 release
	 * by Persianscript
	 */
	
	function activeUsers()
	{
		global $mysqli, $user, $guest, $gSession, $settings;
		
		if (isset($gSession))
		{
			$query_active = $mysqli->query("SELECT user_name, user_id, active, last_active, user_room, rank FROM `users` WHERE `active` = '1' AND `user_room` = '{$guest["guest_room"]}'");
		}
		else
		{
			$query_active = $mysqli->query("SELECT user_name, user_id, active, last_active, user_room, rank FROM `users` WHERE `active` = '1' AND `user_room` = '{$user["user_room"]}'");
		}
		
		if ($query_active->num_rows > 0)
		{
			while($list = $query_active->fetch_assoc())
			{
				$max_time = $list["last_active"] + $settings["idle_kick"] * 100;
			
				// Remove inactive users
				if (time() > $max_time)
				{
					$mysqli->query("UPDATE `users` SET `active` = '0' WHERE `user_id` = '{$list["user_id"]}'");
				}
				else
				{
					// User Rank Icons
					if ($list["rank"] == 3)
					{ 
						$rank = "admin.png"; 
						$title = "مدیر کل";
					} 
					elseif ($list["rank"] == 2)
					{
						$rank = "moderator.png";
						$title = "ناظم";
					}
					else 
					{ 
						$rank = "user.png";			
						$title = "عضو";
					}
					
					if ($settings["allow_profiles"])
					{
						if ($settings["embedded_profiles"])
						{
							echo "<div class=\"user\" embedded=\"1\" profile_id=\"{$list["user_id"]}\" user_name=\"{$list["user_name"]}\"><img src=\"template/icons/{$rank}\" title=\"{$title}\"><a href=\"#{$user["user_name"]}\">{$list["user_name"]}</a></div>";
						}
						else
						{
							echo "<div class=\"user\"><img src=\"template/icons/{$rank}\" title=\"{$title}\"><a href=\"profile.php?uid={$list["user_id"]}\" target=\"_blank\" class=\"user_context\">{$list["user_name"]}</a></div>";
						}
					}
					else
					{
						echo "<div class=\"user\"><img src=\"template/icons/{$rank}\" title=\"{$title}\"><a href=\"#\" class=\"user_context\">{$list["user_name"]}</a></div>";
					}
				}
				
				unset($rank, $title);
			}
		}
		
		if (isset($gSession))
		{
			$query_aguests = $mysqli->query("SELECT guest_name, guest_id, active, guest_room, last_active FROM `guests` WHERE `active` = '1' AND `guest_room` = '{$guest["guest_room"]}'");
		}
		else
		{
			$query_aguests = $mysqli->query("SELECT guest_name, guest_id, active, guest_room, last_active FROM `guests` WHERE `active` = '1' AND `guest_room` = '{$user["user_room"]}'");
		}
		
		if ($query_aguests->num_rows > 0)
		{
			while($guest_list = $query_aguests->fetch_assoc())
			{
				$max_time = $guest_list["last_active"] + $settings["idle_kick"] * 100;
			
				// Remove inactive users
				if (time() > $max_time)
				{
					$mysqli->query("UPDATE `guests` SET `active` = '0' WHERE `guest_id` = '{$guest_list["guest_id"]}'");
				}
				else
				{
					echo "<div class=\"user\">(مهمان) {$guest_list["guest_name"]}</div>";
				}
			}
		}		
	}
	
	function c2smiley($smile)
	{
		//
		// pull from dat/mochat
		if ($handle = opendir('../template/smilies')) 
		{
			while (false !== ($file = readdir($handle)))
			{
				if ($file != "." && $file != "..")
				{
					$actual = preg_replace('/\.[^.]*$/', '', $file);
					$smile = str_replace('@' . $actual . '', '<img src="template/smilies/' . $actual . '.gif" title="@' . $actual . '" height="18px" > ', $smile);
				}
			}
			
			closedir($handle);
		}
		
		return $smile;
	}
	
	function listSmilies()
	{
		if ($handle = opendir('template/smilies')) 
		{
			while (false !== ($file = readdir($handle))) 
			{
				if ($file != "." && $file != "..")
				{
					$smile = preg_replace('/\.[^.]*$/', '', $file);
					echo "<div class=\"smiley\"><img src='template/smilies/{$smile}.gif' title='@{$smile}' onclick=\"smiley(document.chatform.content, '@{$smile}')\" style='cursor:pointer;'></div>\n";
				}
			}

			closedir($handle);
		}
	}
	
	function linkable($s) 
	{
		global $settings;
		
		if ($settings["allow_links"])
		{
			$final = rtrim($s, '<');
			return preg_replace('@(https?://([-\w\.]+[-\w])+(:\d+)?(/([\w/_\.#-]*(\?\S+)?[^\.\s])?)?)@', ' <a href="$1" target="_blank">$1</a>', $final);
		}
		else
		{
			return $s;
		}
	}
	
?>