<?php
	/**
	 * readyChat 1.3.0 release
	 * by Persianscript
	 */
	 
	require_once("../core/config.php");
	
	// get profiles
	//sleep(1);
	if (isset($_GET["profile_id"]) && is_numeric($_GET["profile_id"]))
	{
		$profile_id = trim($mysqli->real_escape_string($_GET["profile_id"]));
		$query_profile = $mysqli->query("SELECT user_id, user_name, profile_age, profile_bio, profile_avatar, profile_sex FROM `users` WHERE `user_id` = '{$profile_id}'");
		if ($query_profile->num_rows > 0)
		{
			$profile = $query_profile->fetch_array(MYSQLI_BOTH);
			
			// setup data
			if ($profile["profile_sex"] == 1) { $sex = "اقا"; }
			elseif ($profile["profile_sex"] == 2) { $sex = "خانم"; }
			else { $sex = "Unknown Gender"; }
		
			if ($profile["profile_age"] == 0) { $age = "سن نامشخص"; }
			else { $age = "{$profile["profile_age"]} سال"; }
			
			if ($profile["profile_bio"] == "0" || $profile["profile_bio"] == null) { $bio = "{$profile["user_name"]} has not shared their bio."; }
			else { $bio = $profile["profile_bio"]; }
			
			if (file_exists("../template/avatars/{$profile["profile_avatar"]}"))
			{
				$avaurl = $profile["profile_avatar"];
			}
			else
			{
				$avaurl = "no_avatar.jpg";
			}
			
			if (isset($_SESSION["user"]))
			{
				if ($user["user_id"] == $profile["user_id"])
				{
					$avatar = "<a href=\"profile.php?uid={$profile["user_id"]}&edit=1&avatar=1\" target=\"_blank\"><img src=\"template/avatars/{$avaurl}\"></a>";
					$edit_profile = "<span style=\"font-size:12px;\">(<a href=\"profile.php?uid={$profile["user_id"]}&edit=1\" target=\"_blank\">ویرایش پروفایل شما</a>)</span>";
				}
				elseif ($user["rank"] == 3 || $user["apanel"])
				{
					$avatar = "<a href=\"profile.php?uid={$profile["user_id"]}&edit=1&avatar=1\" target=\"_blank\"><img src=\"template/avatars/{$avaurl}\"></a>";
					$edit_profile = "<span style=\"font-size:12px;\">(<a href=\"profile.php?uid={$profile["user_id"]}&edit=1\" target=\"_blank\">ویرایش پروفایل {$profile["user_name"]}</a>)</span>";
				}
				else
				{
					$avatar = "<img src=\"template/avatars/{$avaurl}\">";
					$edit_profile = "";
				}
			}
			else
			{
				$avatar = "<img src=\"template/avatars/{$avaurl}\">";
				$edit_profile = "";
			}
			
			echo "
			<div id=\"profile_container\">
				<div id=\"profile_box\">
					<div id=\"profile_avatar\">
						{$avatar}
					</div>
					<div id=\"info\">
						<div class=\"title\">پروفایل {$profile["user_name"]} {$edit_profile}</div>
						<div class=\"info\">{$sex}</div>
						<div class=\"info\">{$age}</div>
						<br />
						<div class=\"title\">درباره {$profile["user_name"]}</div>
						" . nl2br($bio) . "
					</div>
				</div>
			</div>";
		}
		else
		{
			echo 2;
		}
	}
	else
	{
		echo 2;
	}
	
?> 