<?php
	require_once("core/config.php");
	
	if ($settings["allow_profiles"])
	{
		$profiles = true;
	}
	else
	{
		$profiles = false;
	}
	
	if (isset($_GET["uid"]))
	{
		$id = trim($mysqli->real_escape_string($_GET["uid"]));
		$query_profiles = $mysqli->query("SELECT * FROM `users` WHERE `user_id` = '{$id}'");
		if ($query_profiles->num_rows > 0 && isset($id))
		{
			$profile = $query_profiles->fetch_array(MYSQLI_BOTH);
			$view = true;
			
			if (isset($_SESSION["user"]))
			{
				if ($user["user_id"] == $profile["user_id"] || $user["rank"] == 3 || $user["apanel"] == 1)
				{
					if (isset($_GET["edit"]))
					{
						$edit = "<a href=\"profile.php?uid={$profile["user_id"]}\">مشاهده پروفایل</a>";
					
						if (isset($_GET["saved"]))
						{
							if ($_GET["edit"] == 1)
							{
								$saved = "- <span style=\"color:green; font-size:12px; font-weight:normal;\">پروفایل بروز رسانی شد.</span>";
							}
							else
							{
								if (isset($_GET["pw"]) && $_GET["pw"] == 1)
								{
									$saved = "- <span style=\"color:green; font-size:12px; font-weight:normal;\">رمز عبور و ایمیل بروزرسانی شد.</span>";
								}
								else
								{
									$saved = "- <span style=\"color:green; font-size:12px; font-weight:normal;\">آدرس ایمیل بروزرسانی شد.</span>";
								}
							}
						}
						else
						{
							$saved = "";
						}
					}
					else
					{
						$edit = "<a href=\"profile.php?uid={$profile["user_id"]}&edit=1\">ویرایش پروفایل</a>";
					}
				}
				else
				{
					$edit = "";
				}
			}
			else
			{
				$edit = "";
			}
		}
		else
		{
			$view = false;
			$edit = "";
		}
	}
	else
	{
		$view = false;
		$edit = "";
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="fa">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php echo $settings["site_title"]; ?> پروفایل ها</title>
	<script type="text/javascript" src="library/jquery-1.4.2.min.js"></script>
	<script type="text/javascript" src="core/profile.js"></script>
	<link rel="stylesheet" type="text/css" href="template/profile.css" />
</head>
<body>
	<div id="container">
		<div id="content">
			<div id="logo">
				<span style="float:right;"><img src="template/images/logo.png"></span>
				
				<span style="float:left; margin-top:8px;"><?php echo $edit; ?></span>
			</div>
			<div id="profile" style="font-size:13px;">
			<?php
				if ($view)
				{
					if (isset($_GET["edit"]))
					{
						if (isset($_SESSION["user"]))
						{
							if ($user["user_id"] == $profile["user_id"] || $user["rank"] == 3 && $_GET["edit"] != 2 || $user["apanel"] == 1 && $_GET["edit"] != 2 )
							{
								if ($_GET["edit"] == 1)
								{
									if (isset($_GET["save"]) && $_GET["save"] == 1)
									{
										$age = trim($mysqli->real_escape_string($_POST["age"]));
										$gender = trim($mysqli->real_escape_string($_POST["gender"]));
										$bio = strip_tags(trim($mysqli->real_escape_string($_POST["bio"])));
										
										if (is_numeric($age) && is_numeric($gender))
										{
											$mysqli->query("UPDATE `users` SET `profile_age` = '{$age}', `profile_sex` = '{$gender}', `profile_bio` = '{$bio}' WHERE `user_id` = '{$profile["user_id"]}'") or die($mysqli->error);
										
											// redirect
											header('location: profile.php?uid=' . $profile["user_id"] . '&edit=1&saved=1');
										}
										else
										{
											echo "<div class=\"title\">خطا</div>لطفا سن خود را به صورت عددی وارد کنید <a href=\"javascript:history.go(-1)\">بازگشت به صفحه قبل</a> .";
										}
									}
									elseif (isset($_GET["avatar"]) && $_GET["avatar"] == 1)
									{
										if (isset($_GET["sav"]) && $_GET["sav"] != null)
										{
											$newav = trim($mysqli->real_escape_string($_GET["sav"]));
											if (file_exists("template/avatars/{$newav}"))
											{
												// update avatar
												$mysqli->query("UPDATE `users` SET `profile_avatar` = '{$newav}' WHERE `user_id` = '{$profile["user_id"]}'");
												
												// redirect
												header('location: profile.php?uid=' . $profile["user_id"] . '');
											}
											else
											{
												echo "<div class=\"title\">خطا</div>تصویر آواتار استفاده شده وجود ندارد. <a href=\"javascript:history.go(-1)\">بازگشت به صفحه قبل</a>.";
											}	
										}
										else
										{
											// Show all avatars
											echo "<div id=\"avatarselect\">";
											if ($handle = opendir('template/avatars')) 
											{
												while (false !== ($file = readdir($handle))) 
												{
													if ($file != "." && $file != ".." && $file != "uploads")
													{
														echo "<a href='profile.php?uid={$profile["user_id"]}&edit=1&avatar=1&sav={$file}'><img src='template/avatars/$file' height='80px;' width='80px;'></a>";
													}
												}
												
												closedir($handle);
											}		
											
											echo "</div>";
											
											if ($settings["allow_uploads"])
											{
												if ($user["user_id"] == $profile["user_id"])
												{
													if (isset($_GET["error"]) && $_GET["error"] == 1)
													{
														$upload_error = "<span style=\"color:red;\">یک خطا در هنگام بروزرسانی آواتار رخ داد.</span>";
													}
													else
													{
														$upload_error = "";
													}
													
													if (!isset($_SESSION["upload_token"]))
													{
														$_SESSION["upload_token"] = sha1(rand(128, 5000));
													}
													
													echo "
													<div id=\"upload\">
														<div class=\"title\">آپلود تصویر آواتار شما</div>
														{$upload_error}
														<form action=\"upload.php\" method=\"post\" enctype=\"multipart/form-data\">
															<input type=\"file\" name=\"file\"  />
															<div class=\"clear\"></div>
															<input type=\"hidden\" name=\"upload_token\" value=\"" . md5($_SESSION["upload_token"]) . "\">
															<input type=\"submit\" value=\"آپلود آواتار\">
														</form>
													</div>
													";
												}
												else
												{
													// admin can remove avatar
													if ($user["rank"] == 3 || $user["apanel"])
													{
														if (isset($_GET["delete"]) && $_GET["delete"] == 1)
														{
															// delete avatar
															unlink("template/avatars/uploads/{$profile["user_id"]}.jpg");
															
															// set no avatar
															$mysqli->query("UPDATE `users` SET `profile_avatar` = 'no_avatar.jpg' WHERE `user_id` = '{$profile["user_id"]}'");
															
															// redirect
															header('location: profile.php?uid=' . $profile["user_id"] . '');
														}
														else
														{
															echo "
															<div id=\"upload\">
																<div class=\"title\">آواتار دلخواه</div>
																<a href=\"profile.php?uid={$profile["user_id"]}&edit=1&avatar=1&delete=1\">حذف آواتار کاربر</a>.
															</div>
															";
														}
													}
												}
											}
										}
									}
									else
									{
										// setup bio
										if ($profile["profile_bio"] == "0" || $profile["profile_bio"] == null)
										{
											$bio = "";
											$placeholder = "placeholder=\"درباره خودتان بنویسید...\"";
										}
										else
										{
											$bio = $profile["profile_bio"];
											$placeholder = "";
										}
										
										if ($profile["user_id"] == $user["user_id"])
										{
											echo "<div class=\"title\">ویرایش پروفایل شما {$saved}</div>";
										}
										else
										{
											echo "<div class=\"title\">ویرایش پروفایل {$profile["user_name"]} {$saved}</div>";
										}
										
										echo "
										<form action=\"profile.php?uid={$profile["user_id"]}&edit=1&save=1\" method=\"post\">
											<strong>سن</strong><br />
											<span style=\"font-size:11px;\">چند سالتان است؟</span><br />
											<select name=\"age\">";
											if ($profile["profile_age"] == 0)
											{
												$default_age = "<option value=\"0\">نمیخواهم بگویم</option>";
											}
											else
											{
												$default_age = "<option value=\"{$profile["profile_age"]}\">{$profile["profile_age"]}</option> <option value=\"0\">نمیخواهم بگویم</option>";
											}
											
											echo $default_age;
											for($value = 18; $value <= 100; $value++)
											{ 
												echo('<option value="' . $value . '">' . $value . '</option>');
											}
											echo "
											</select>
											<br /><br />
											
											
											<strong>انتخاب جنسیت</strong><br />
											<span style=\"font-size:11px;\">خانم هستید یا آقا؟</span><br />
											<select name=\"gender\">";
											if ($profile["profile_sex"] == 0)
											{
												echo "<option value=\"0\">نمیخواهم بگویم</option> <option value=\"1\">آقا</option> <option value=\"2\">خانم</option>";
											}
											elseif ($profile["profile_sex"] == 1)
											{
												echo "<option value=\"1\">آقا</option> <option value=\"2\">خانم</option> <option value=\"0\">نمیخواهم بگویم</option>";
											}
											else
											{
												echo "<option value=\"2\">خانم</option> <option value=\"1\">آقا</option> <option value=\"0\">نمیخواهم بگویم</option>";
											}
											
											echo "
											</select>
											<br /><br />
											<strong>بیوگرافی</strong><br />
											<span style=\"font-size:11px;\">درباره خودتان بنویسید!</span><br />	
											<textarea name=\"bio\" maxlength=\"300\" {$placeholder}>{$bio}</textarea>
											<br />
											<input type=\"submit\" class=\"button\" value=\"ذخیره پروفایل\">
										</form>";
									}
								}
								elseif ($_GET["edit"] == 2)
								{
									if (isset($_GET["save"]) && $_GET["save"] == 1)
									{
										$email = trim($mysqli->real_escape_string($_POST["email"]));
										
										if ($email != null)
										{
											// check for valid email
											if (filter_var($email, FILTER_VALIDATE_EMAIL))
											{
												// check if in use
												$query_emails = $mysqli->query("SELECT user_id, user_email FROM `users` WHERE `user_email` = '{$email}' AND `user_id` != '{$user["user_id"]}'");
												if ($query_emails->num_rows < 1 )
												{
													// update email
													$mysqli->query("UPDATE `users` SET `user_email` = '{$email}' WHERE `user_id` = '{$user["user_id"]}'");
													
													if (isset($_POST["password"]) && $_POST["password"] != null)
													{
														// update password
														$password = trim($mysqli->real_escape_string($_POST["password"]));
														
														// re-encrypt
														$epw = sha1(str_rot13($password . $keys["enc_1"]));
														
														// save
														$mysqli->query("UPDATE `users` SET `user_password` = '{$epw}' WHERE `user_id` = '{$user["user_id"]}'");
														$pw = "&pw=1";
													}
													
													// redirect
													header('location: profile.php?uid=' . $user["user_id"] . '&edit=2&saved=1' . $pw . '');
												}
												else
												{
													echo "<div class=\"title\">خطا</div>این آدرس ایمیل قبلا استفاده شده است <a href=\"javascript:history.go(-1)\">بازگشت به صفحه قبل</a>.";
												}
											}
											else
											{
												echo "<div class=\"title\">Error</div>Please enter a valid email address! <a href=\"javascript:history.go(-1)\">بازگشت به صفحه قبل</a>.";
											}
										}
										else
										{
											echo "<div class=\"title\">Error</div>Your email must not be blank! <a href=\"javascript:history.go(-1)\">بازگشت به صفحه قبل</a>.";
										}
									}
									else
									{
										echo "<div class=\"title\">ویرایش حساب کاربری شما {$saved}</div>";
										echo "
										<form action=\"profile.php?uid={$user["user_id"]}&edit=2&save=1\" method=\"post\">
											<strong>Email Address</strong><br />
											<span style=\"font-size:11px;\">آدرس ایمیل خود را تغییر دهید.</span><br />
											<input type=\"text\" name=\"email\" value=\"{$user["user_email"]}\">
											<br /><br />
											<strong>Password</strong><br />
											<span style=\"font-size:11px;\">در صورتی که نمیخواهید رمز را تغییر دهید آن را خالی بگذارید.</span><br />	
											<input type=\"password\" name=\"password\" placeholder=\"رمز عبور جدید...\">
											<br /><br />
											<input type=\"submit\" class=\"button\" value=\"بروزرسانی حساب کاربری\">
										</form>";
									}
								}
							}
							else
							{
								echo "<div class=\"title\">خطا</div>شما دسترسی لازم جهت مشاهده این پروفایل ندارید.";
							}
						}
						else
						{
							echo "<div class=\"title\">خطا</div>برای مدیریت پروفایل باید <a href=\"login.php\">وارد</a> سایت شوید.";
						}
					}
					else
					{
						if ($profiles)
						{
							// setup data
							if ($profile["profile_sex"] == 1) { $sex = "اقا"; }
							elseif ($profile["profile_sex"] == 2) { $sex = "خانم"; }
							else { $sex = "نامشخص"; }
							if ($profile["profile_age"] == 0) { $age = "سن نامشخص"; }
							else { $age = "{$profile["profile_age"]} ساله"; }
							
							if ($profile["profile_bio"] == "0" || $profile["profile_bio"] == null) { $bio = "{$profile["user_name"]} هیچ بیوگرافی درباره خود ندارد."; }
							else { $bio = $profile["profile_bio"]; }
							
							if (file_exists("template/avatars/{$profile["profile_avatar"]}"))
							{
								$avaurl = $profile["profile_avatar"];
							}
							else
							{
								$avaurl = "no_avatar.jpg";
							}
							
							if (isset($_SESSION["user"]))
							{
								if ($user["user_id"] == $profile["user_id"] || $user["rank"] == 3 || $user["apanel"] == 1)
								{
									$avatar = "<a href=\"profile.php?uid={$profile["user_id"]}&edit=1&avatar=1\"><img src=\"template/avatars/{$avaurl}\"></a>";
								}
								else
								{
									$avatar = "<img src=\"template/avatars/{$avaurl}\">";
								}
							}
							else
							{
								$avatar = "<img src=\"template/avatars/{$avaurl}\">";
							}
							
							echo "
							<div id=\"avatar\">
								{$avatar}
							</div>
							<div id=\"info\">
								<div class=\"title\">پروفایل {$profile["user_name"]}</div>
								<div class=\"info\">جنسیت: {$sex}</div>
								<div class=\"info\">{$age}</div>
								<br />
								<div class=\"title\">درباره {$profile["user_name"]}</div>
								" . nl2br($bio) . "
							</div>";
						}
						else
						{	
							echo "<div class=\"title\">خطا</div>نمایش پروفایل ها غیر فعال است";
						}
					}
				}
				else
				{
					echo "<div class=\"title\">خطا</div>پروفایل مورد نظر وجود ندارد.";
				}
			?>
			</div>
		</div>
		
		<div id="footer">
			قدرت گرفته از <a href="http://www.persianscript.ir" target="_blank">پرشین اسکریپت</a>
		</div>
	</div>
</body>
</html>