<?php
	require_once("core/config.php");
	
	// blacklist checker
	$my_ip = $_SERVER['REMOTE_ADDR'];
	$query_blacklist = $mysqli->query("SELECT * FROM `blacklist` WHERE `blacklist_ip` = '{$my_ip}'");
	if ($query_blacklist->num_rows > 0)
	{
		header('location: banned.php');
		exit();
	}
	
	//
	// Logged in checker
	if ($uSession != null): header('location: index.php'); else:
	
	//
	// Request login

	if (isset($_GET["action"]) && $_GET["action"] == "register" && !$settings["offline_mode"] && $settings["can_register"]):
	
		if (isset($_POST["username"]) 
			&& $_POST["username"] != null 
			&& isset($_POST["password"]) && $_POST["password"] != null 
			&& isset($_POST["email"]) && $_POST["email"] != null 
			&& isset($_POST["terms"]) && $_POST["terms"] != null
			&& isset($_POST["regid"]) && $_POST["regid"] != null)
		{
			if($_POST["regid"] == $_SESSION["regid"])
			{
				// secure variables
				$username = trim($mysqli->real_escape_string($_POST["username"]));
				$password = trim($mysqli->real_escape_string($_POST["password"]));
				$email = trim($mysqli->real_escape_string($_POST["email"]));
				
				// check if the username exists
				$query_users = $mysqli->query("SELECT `user_name` FROM `users` WHERE `user_name` = '{$username}'");
				if ($query_users->num_rows < 1)
				{
					// check if the email exists
					$query_email = $mysqli->query("SELECT `user_email` FROM `users` WHERE `user_email` = '{$email}'");
					if ($query_email->num_rows < 1)
					{
						// check for valid email
						if (filter_var($email, FILTER_VALIDATE_EMAIL))
						{
							// ensure username consists of letters and numbers only
							if (preg_match("/^[a-zA-Z0-9]+$/", $username))
							{
								// encrypt password
								$epw = sha1(str_rot13($password . $keys["enc_1"]));
								$ip = $mysqli->real_escape_string($_SERVER['REMOTE_ADDR']);
								
								// create the account
								$mysqli->query("INSERT INTO `users` (user_name, user_password, user_email, user_ip, user_room, user_joined) 
															 VALUES ('{$username}', '{$epw}', '{$email}', '{$ip}', 'lobby.html', '{$time}')") or die($mysqli->error);
															 
								// log the user in
								unset($_SESSION["regid"]);
								$_SESSION["user"] = $username;
								$mysqli->query("UPDATE `users` SET `kicked` = '0', `active` = '1', `last_active` = '{$time}', `room` = 'lobby.html' WHERE `user_name` = '{$username}'");
								
								// redirect user to chat
								header('location: index.php');
							}
							else
							{
								unset($_SESSION["regid"]);
								header('location: register.php?u=' . $_POST["username"] . '&e=' . $_POST["email"] . '&n=5');
							}
						}
						else
						{
							unset($_SESSION["regid"]);
							header('location: register.php?u=' . $_POST["username"] . '&e=' . $_POST["email"] . '&n=4');
						}
					}
					else
					{
						unset($_SESSION["regid"]);
						header('location: register.php?u=' . $_POST["username"] . '&e=' . $_POST["email"] . '&n=6');						
					}
				}
				else
				{
					unset($_SESSION["regid"]);
					header('location: register.php?u=' . $_POST["username"] . '&e=' . $_POST["email"] . '&n=3');
				}
			}
			else
			{
				unset($_SESSION["regid"]);
				header('location: register.php?u=' . $_POST["username"] . '&e=' . $_POST["email"] . '&n=2');
			}
		}
		else
		{
			header('location: register.php?u=' . $_POST["username"] . '&e=' . $_POST["email"] . '&n=1');
		}
	
	else:
	
	// default values
	if (isset($_GET["u"]) && $_GET["u"] != null)
	{
		$username = $mysqli->real_escape_string(substr($_GET["u"], 0, 30));
	}
	else
	{
		$username = "";
	}

	if (isset($_GET["e"]) && $_GET["e"] != null && filter_var($_GET["e"], FILTER_VALIDATE_EMAIL))
	{
		$email = $mysqli->real_escape_string(substr($_GET["e"], 0, 100));
	}
	else
	{
		$email = "";
	}
	
	if ($settings["offline_mode"])
	{
		$offline_notice = "<div id=\"offline\">{$settings["offline_message"]}</div>";
		$field_off = "DISABLED";
	}
	elseif (!$settings["can_register"])
	{
		$offline_notice = "";
		$field_off = "DISABLED";
	}
	else
	{
		$offline_notice = "";
		$field_off = "";
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php echo $settings["site_title"]; ?></title>
	<link rel="stylesheet" type="text/css" href="template/login.css" />
</head>
<body>
	<?php
		echo $offline_notice;
		if (isset($_GET["n"]))
		{
			if ($_GET["n"] == 1)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">لطفا تمامی فیلد ها را تکمیل کنید.</span>";
			}
			elseif ($_GET["n"] == 2)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">یک خطا رخ داده. لطفا دوباره امتحان کنید</span>";
			}
			elseif ($_GET["n"] == 3)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">این نام کاربری قبلا ثبت شده است.</span>";
			}
			elseif ($_GET["n"] == 4)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">لطفا یک آدرس ایمیل معتبر وارد کنید.</span>";
			}
			elseif ($_GET["n"] == 5)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">نام کاربری می بایست از کاراکتر ها و اعداد انگلیسی تشکیل شده باشد.</span>";
			}
			elseif ($_GET["n"] == 6)
			{
				$error = "- <span style=\"color:red; font-size:12px; font-weight:normal;\">این ایمیل قبلا در سیستم چت عضو شده است!</span>";
			}
			else
			{
				$error = "";
			}
		}
		else
		{
			$error = "";
		}
		
		if (!isset($_SESSION["regid"]))
		{
			$_SESSION["regid"] = md5(rand(1, 200)); 
		}
	?>	
	<div id="container">
		<div id="content">
			<div id="logo">
				<img src="template/images/logo.png">
			</div>
			<div id="welcome">
				اگر تا کنون در چت روم عضو نشده اید از فرم زیر عضو شوید. اگر قبلا عضو شده اید <a href="login.php">وارد شوید</a>.
			</div>
			<div id="login" style="width:580px;">
				<div class="title">عضویت <?php echo $error; ?></div>
				<form action="register.php?action=register" method="post">
					نام کاربری<br />
					<span style="font-size:11px;">نام کاربری خود را وارد کنید. تنها حروف انگلیسی وارد کنید</span>
					<br />
					<input type="text" name="username" maxlength="30" placeholder="نام کاربری شما" value="<?php echo $username; ?>" <?php echo $field_off; ?>>
					<br /><br />
					رمز عبور<br />
					<span style="font-size:11px;">یک رمز عبور برای حساب کاربری خود انتخاب کنید.</span>
					<br />
					<input type="password" name="password" maxlength="50" placeholder="انتخاب رمز عبور" <?php echo $field_off; ?>>
					<br /><br />
					آدرس ایمیل<br />
					<span style="font-size:11px;">آدرس ایمیل خود را در کادر زیر وارد کنید. توجه کنید که آدرس ایمیل www ندارد.</span>
					<input type="text" name="email" maxlength="100" placeholder="آدرس ایمیل شما" value="<?php echo $email; ?>" <?php echo $field_off; ?>>
					<br /><br />
					<input type="checkbox" name="terms" value="1" style="min-width:1px;" <?php echo $field_off; ?>> 
					من <a href="documents/terms.html" target="_blank">قوانین</a> سایت را می پذیرم .
					<br /><br />
					<input type="submit" class="button" value="عضویت" <?php echo $field_off; ?>>
					<input type="hidden" name="regid" value="<?php echo $_SESSION["regid"]; ?>" <?php echo $field_off; ?>>
					<a href="login.php"><div class="button" style="margin-left:5px; margin-top:5px; min-width:80px; text-align:center;">لغو</div></a>
				</form>
			</div>
		</div>
		<!--
			Retaining the following footer link is not required. However, you may not change it to claim the software
			was created by you. readyChat is property of DesignSkate - this software may not be redistributed in part or in whole
		-->
		<div id="footer">
			قدرت گرفته از <a href="http://www.persianscript.ir" target="_blank">پرشین اسکریپت</a>
		</div>
	</div>
</body>
</html>
<?php endif; endif; ?>